/**
 * @fileoverview H5FlightTrends - Detail.
 * @author 
 */
/**
 * KISSY.use('h5-flight-trends/pages/detail/index',function(S,Detail){
 *		new Detail();
 * });
 */
KISSY.add(function(S,Base,Juicer,IATACity,AIRPORT,Tracker,Notification,Mask) {

	var Detail = Base.extend({
		initializer:function(){
			var that  = this;

            that.attrInit();
            that.componentInit();
            that.helperRegister();
            that.renderDetail();
            that.bindEvent();

            if(notAssistant && notAssistant == 'false'){
                //页面埋点
                that.sendPoint('Page','FlightOrderAssistant');
            }else{
                //页面埋点
                that.sendPoint('Page','FlightBoardDetail');
            }
		},
        attrInit: function () {
            var that = this;

            that.nodes = {};
            that.nodes.wrapper = S.one('.detail-page');
            that.nodes.followBtn = S.one('.J_followBtn');
        },
        componentInit: function() {
            var that = this;

            that.maskObj = new Mask({
                clickHide  : false,
                opacity:0.5,
                disableScroll:false,
                useAnim:false
            }).render();
        },
        dataInit: function() {
        	var that = this;
        	
        	if(detailData && detailData != '' && detailData.pflystatus && detailData.pflystatus.length > 0){
        		for(var i= 0; i< detailData.pflystatus.length;i++){
        			var _item = detailData.pflystatus[i];
        			if(isZh==1){
            			//状态
            			if(_item.pstatus){
        					if(_item.pstatus == '到达'){
        						_item.pstatus = 'arrive_en';
        	                }else if(_item.pstatus == '起飞'){
        	                	_item.pstatus = 'takeoff_en';
        	                }else if(_item.pstatus == '延误'){
        	                	_item.pstatus = 'delay_en';
        	                }else if(_item.pstatus == '计划'){
        	                	_item.pstatus = 'plan_en';
        	                }else if(_item.pstatus == '取消'){
        	                	_item.pstatus = 'cancel_en';
        	                }else if(_item.pstatus == '备降'){
        	                	_item.pstatus = 'ready_en';
        	                }else if(_item.pstatus == '返航'){
        	                	_item.pstatus = 'return_en'; 
        	                }
        				}
            			
            			//机场名称
        				if(_item.pairport1 && _item.pairport2 ){
        					_item.deptAirportChnName = AIRPORT[_item.pairport1];
        					_item.destAirportChnName = AIRPORT[_item.pairport2];
        				}
        			}

    				//追加属性,航班信息
    				_item.ckiCountertitle = that.get('message').ckiCountertitle;
    				_item.baggageTurntitle = that.get('message').baggageTurntitle;
    				_item.pgate1title = that.get('message').pgate1title;
    				_item.ontimetitle = that.get('message').ontimetitle;
    				
    				_item.pplanttitle1 = that.get('message').prealtimetext1;
    				_item.pplanttitle2 = that.get('message').prealtimetext3;
    				
    				_item.pterminaltitle1 = that.get('message').terminal;
    				_item.pterminaltitle2 = that.get('message').terminal;
    				if(_item.pgate1 == "待定")
    					_item.pgate1 = that.get('message').pending;
        		}
        	}
        },
        helperRegister : function() {
        	var that = this;
            Juicer.register('getClassNameByStatus', function(pstatus) {
                if(pstatus == that.get('message').arrive){//(pstatus == '到达'|| pstatus == 'Arrived'){
                    return 'arrive';
                }else if(pstatus == that.get('message').takeoff){//(pstatus == '起飞' || pstatus == 'takeoff'){
                    return 'takeoff';
                }else if(pstatus == that.get('message').delay){//(pstatus == '延误' || pstatus == 'delay'){
                    return 'delay';
                }else if(pstatus == that.get('message').plan){//(pstatus == '计划' || pstatus == 'plan'){
                    return 'plan';
                }else if(pstatus == that.get('message').cancel){//(pstatus == '取消' || pstatus == 'cancel'){
                    return 'cancel';
                }else if(pstatus == that.get('message').ready){//(pstatus == '备降' || pstatus == 'ready'){
                    return 'ready';
                }else if(pstatus == that.get('message')._return){//(pstatus == '返航' || pstatus == 'return'){
                    return 'return';
                }else if(pstatus == that.get('message').unavail){//(pstatus == '暂无' || pstatus == 'unavail'){
                    return 'unavail';
                }else{
                	return pstatus;
                }
            });
            Juicer.register('getAirportByCode', function(airport) {
               return IATACity[airport];
            });
        },
        getDay:function(date){
        	var that = this;
            var d = new Date(date.replace(new RegExp("-","g"),'/'));
            var day = d.getDay();
            //var upper = ['日','一','二','三','四','五','六'];
            return that.get('message').upper;//'周'+upper[day];
        },
        isSubscribe:function(item){
        	var that = this;
            if(followedList && followedList.length > 0){
                for(var i = 0; i < followedList.length; i++){
                    if( followedList[i].pdate1 == item.pdate1 && followedList[i].pflycode == item.pflycode
                            && followedList[i].pcity1 == item.pairport1 && followedList[i].pcity2 == item.pairport2)
                        $('#J_followBtn').html(that.get('message').cancelWatch);
                }
            }
        },
        renderDetail:function(){
			if(detailData && detailData != '' && detailData.pflystatus && detailData.pflystatus.length > 0){
                var that = this;
                var data = detailData.pflystatus[0]
                data = that.processData(data);
                that.dataInit();
				var tpl1 = S.one('#J_info_main_tpl').html().trim();
				var html1 = Juicer(tpl1,data);
				that.nodes.followBtn.html(that.get('message').watch);
				S.one('.info-main').html(html1);

				var tpl2 = S.one('#J_info_detail_tpl').html().trim();
				var html2 = Juicer(tpl2,data);
				S.one('.info-detail').html(html2);
                if(followedNum != 0){
                    $('.followed-tip').html(that.watchFlightNumStr(followedNum));
                }else{
                	$('.followed-tip').html(that.get('message').tip);
                }
				S.one('.main').addClass('show').removeClass('hide');
				S.one('.loading-failed-tips').addClass('hide').removeClass('show');
                //判断是否已订阅
                that.isSubscribe(data);
			}else{
				S.one('.main').addClass('hide').removeClass('show');
				S.one('.loading-failed-tips').addClass('show').removeClass('hide');
			}
        },
        processData:function(data){
        	var that = this;
            if((!data.prealtime1 || data.prealtime1 == '--') && data.pstatus != that.get('message').cancel){//'取消'
				//ptd为预计出发时间
                data.prealtime1 = data.ptd;
                if(data.pplantime1 == '--'){
                    data.prealtime1 = '--:--'
                }
                data.prealtimetext1 = that.get('message').prealtimetext2;
            }
            else{
                if(data.prealtime1 == '--'){
                    data.prealtime1 = '--:--'
                }
                data.prealtimetext1 = that.get('message').prealtimetext2;
            }
            if(( !data.prealtime2 || data.prealtime2 == '--') && data.pstatus != that.get('message').cancel){
                data.prealtime2 = data.pta;
                if(data.pplantime2 == '--'){
                    data.prealtime2 = '--:--'
                }
                data.prealtimetext2 = that.get('message').prealtimetext4;
            }
            else{
                if(data.prealtime2 == '--'){
                    data.prealtime2 = '--:--'
                }
                data.prealtimetext2 = that.get('message').prealtimetext4;
            }
            if(data.pterminal1 == ''){
                data.pterminal1 = '--';
            }
            if(data.pterminal2 == ''){
                data.pterminal2 = '--';
            }
            //若有值机信息，优先显示值机信息，再显示时间差
            if(data.ckiStatus && data.ckiStatus != ''){
            	if(data.ckiStatus == '值机关闭')
            		data.offTimeDesc = that.get('message').check_off;
            	else
            		data.offTimeDesc = data.ckiStatus;
            }
            return data;
        },
        bindEvent:function(){
            var that = this;

            //进入机场详情页
            that.nodes.wrapper.on('click','.c-city',function(e){
                if(notAssistant && notAssistant == 'false'){
                    //页面埋点
                    that.sendPoint('Button','SingleFlightOrderAssistant','Airport');
                }else{
                    //页面埋点
                    that.sendPoint('Button','FlightBoardDetail','Airport');
                }
				if(userAgent == 'iphone'){
					window.location.href = 'umesdk://flightstatus.airport?code='+$(e.target).find(".port-code").html();
				}
				else if(userAgent == 'android'){
                    window.umesdk.goAirport($(e.target).find(".port-code").html());
				}
            });

            if(detailData && detailData.pflystatus[0]){
                //到达或取消航班不可关注，若已关注，不disable按钮
                if(followedNum >= 5 && $('#J_followBtn').html() == that.get('message').watch) {
                    S.one('.btn-wrap').addClass('disabled');
                }
                else if((detailData.pflystatus[0].pstatus == that.get('message').arrive || detailData.pflystatus[0].pstatus == that.get('message').cancel) && $('#J_followBtn').html() == that.get('message').watch){
                    S.one('.btn-wrap').addClass('hide');
                    S.one('.followed-tip').addClass('hide');
                }
                //subscribe
                else{
                    that.nodes.wrapper.on('click','#J_followBtn',function(e){
                        //防止连击，判断时间戳，小于1s不响应
                        if(that.preClick && detail.preClick != 0){
                            var time  = new Date().getTime();
                            if(time - that.preClick < 1000){
                                that.preClick = 0;
                                return;
                            }
                            else{
                                that.preClick = 0;
                            }
                        }else{
                            that.preClick = new Date().getTime();
                        }
                        var text = $(e.target).html();
                        if(text == that.get('message').watch){

                            that.sendPoint('Button','FlightBoardDetail','Follow');

                            if(userAgent == 'iphone'){
                                window.location.href = 'umesdk://flightstatus.subscribe/subscribe';
                            }
                            else if(userAgent == 'android'){
                                //window.umesdk.attentionService();
                                window.jsInterface.onNativeFunction("attentionService");
                            }
                        }
                        else{
                            that.sendPoint('Button','FlightBoardDetail','Unfollow');
                           
                            Notification.confirm(that.get('message').cal_alert, null, function(e, type){
                                if(type == 1){
//                                        target.html('关注航班');
                                    if(userAgent == 'iphone'){
                                        window.location.href = 'umesdk://flightstatus.subscribe/cancelSubscribe';
                                    }
                                    else if(userAgent == 'android'){
                                        //window.umesdk.cancleAttentionService();
                                        window.jsInterface.onNativeFunction("cancelAttentionService");
                                    }
                                }
                                this.hide();
                                that.maskObj.hide();
                            }).show();
                            that.maskObj.show();
                        }
                    });
                }
            }
        },
        changeSubState: function(type, result){
        	var that = this;
            if(result == '1'){
                //成功取消关注的已到达或取消航班，隐藏关注按钮
                if(type == 'cancelSubscribe' && detailData && detailData != '' && detailData.pflystatus && (detailData.pflystatus[0].pstatus == '到达' || detailData.pflystatus[0].pstatus == '取消')) {
                    S.one('.btn-wrap').addClass('hide');
                    S.one('.followed-tip').addClass('hide');
                }
                if(type == 'subscribe'){
                    $('#J_followBtn').html(that.get('message').cancelWatch);
                    followedNum = followedNum + 1;
                    Notification.simple(that.get('message').watchSucess,2000);
                }else{
                    $('#J_followBtn').html(that.get('message').watch);
                    followedNum = followedNum - 1;
                }
                $('.followed-tip').html(that.watchFlightNumStr(followedNum));
            }
            else if(result == '-2'){
                Notification.simple('亲，您已关注过此航班',2000);
                $('#J_followBtn').html(that.get('message').cancelWatch);
                followedNum = followedNum + 1;
                $('.followed-tip').html(that.watchFlightNumStr(followedNum));
            }
            else{
                Notification.simple('亲，'+ (type == 'subscribe'? that.get('message').watch:that.get('message').cancelWatch) +'失败，请稍后再试',2000);
            }
        },
        getRequestParam: function(param, uri) {
            var value;
            uri = uri || window.location.href;
            value = uri.match(new RegExp('[\?\&]' + param + '=([^\&\#]*)([\&\#]?)', 'i'));
            return value ? decodeURIComponent(value[1]) : value;
        },
        sendPoint: function(type, page, action) {
            Tracker.sendPoint({
                eid: 9199,
                page: page,
                type: type,
                action: action
            });
        },
        watchFlightNumStr :function(attentionNum){
        	var that = this;
                            
        	var attentionTip = that.get('message').watchFlightNum;
                             
        	var residueNum = 5 - parseInt(attentionNum);
                            
        	if(attentionTip.indexOf('{n}') != -1)
                             
        		attentionTip = attentionTip.replace('{n}',attentionNum);
                             
        	if(attentionTip.indexOf('{m}') != -1)
        		attentionTip = attentionTip.replace('{m}',residueNum);
                           
        	return attentionTip;
        }
        
	},{
		ATTRS: {
            pflystatus:{
				value:{}
			},
			message: {
                value: {
                	tip : isZh==0 ? "亲！你还没有关注过任何航班信息，一共可关注5条。": "You haven't watch any flight information.",
                	watch: 	isZh==0 ? "关注航班": "Watch",
                	cancelWatch: isZh==0 ? "取消关注": "Cancel watch",
                	watchSucess: isZh==0 ? "关注成功": "Watch successfully",
                	prealtimetext1: isZh==0 ? '预计出发' : 'Scheduled dept.',
                	prealtimetext2: isZh==0 ? '实际出发' : 'Actual dept.',
                	prealtimetext3: isZh==0 ? '预计到达' : 'Scheduled arr.',
                	prealtimetext4: isZh==0 ? '实际到达' : 'Actual arr.',
                	terminal: isZh==0 ? '航站楼': 'Terminal',
        			arrive: isZh==0 ? '到达': 'arrive',
					takeoff: isZh==0 ? '起飞': 'takeoff',
					delay: isZh==0 ? '延误': 'delay',
					plan: isZh==0 ? '计划': 'plan',
					cancel: isZh==0 ? '取消': 'cancel',
					ready: isZh==0 ? '备降': 'ready',
					_return: isZh==0 ? '返航': 'return',
					unavail: isZh==0 ? '暂无': 'unavail',
					upper: isZh==0 ? ['周日','周一','周二','周三','周四','周五','周六']:["Sun.","Mon.","Tue.","Wed.","Thu.","Fri.","Sat."],
					ckiCountertitle: isZh==0 ? '值机柜台': 'Check-in counter',
					pgate1title: isZh==0 ? '登机口': 'Boarding gate',
					baggageTurntitle: isZh==0 ? '行李转盘': 'Carousel',
					pending: isZh==0 ? '待定': 'Pending',
					ontimetitle: isZh==0 ? '准点率': 'On-time',
					cal_alert: isZh==0 ? '亲,取消关注将不再接收此航班动态变化的即时信息':'You will not receive the information about this flight.',
					watchFlightNum: isZh==0? '亲！你已关注了{n}条航班信息, 还可以关注{m}条。':'You have watched {n} flight.',
					check_off: isZh==0? '值机关闭' :'Check in closed'
                }
            }
		}
	});

	return Detail;
	
},{
	requires:['base','juicer','../../datas/iata-city','../../datas/airport','../../widgets/libs/tracker','../../widgets/libs/notification','../../widgets/mask/index']
});
