/**
 * @fileoverview H5FlightTrends - Search.
 * @author
 */
/**
 * KISSY.use('h5-flight-trends/pages/search/index',function(S,Search){
 *		new Search();
 * });
 */
KISSY.add(function(S,Base,Juicer,AIRPORT,AIRLINE,Slider,Notification,Mask,Tracker) {

    var Search = Base.extend({
        initializer:function(){
            var that = this;

            that.attrInit();
            that.componentInit();
            that.helperRegister();
            that.renderCardList();
            that.bindEvent();

        },
        attrInit: function () {
            var that = this;

            that.nodes = {};
            that.nodes.wrapper = $('.search-page');
            that.nodes.searchWrap = $('.J_Search');
            that.nodes.cardWrap = $('#card-slide');
            that.nodes.default = $('.default');
            that.nodes.flightCard = $('.flight-card');
            that.nodes.cardStatus = $('.slide-status');
            that.nodes.cardList = $('.card-list');
        },
        componentInit: function() {
            var that = this;

            that.maskObj = new Mask({
                clickHide  : false,
                opacity:0.5,
                disableScroll:false,
                useAnim:false
            }).render();
        },
        helperRegister : function() {
            var that = this;

            Juicer.register('getClassNameByStatus', function(pstatus) {
                /*if(pstatus == '到达'){
                    return 'arrive';
                }else if(pstatus == '起飞'){
                    return 'takeoff';
                }else if(pstatus == '延误'){
                    return 'delay';
                }else if(pstatus == '计划'){
                    return 'plan';
                }else if(pstatus == '取消'){
                    return 'cancel';
                }else if(pstatus == '备降'){
                    return 'ready';
                }else if(pstatus == '暂无'){
                    return 'unavail';
                }*/
            	if(pstatus == that.get('message').arrive){
                    return 'arrive';
                }else if(pstatus == that.get('message').takeoff){
                    return 'takeoff';
                }else if(pstatus == that.get('message').delay){
                    return 'delay';
                }else if(pstatus == that.get('message').plan){
                    return 'plan';
                }else if(pstatus == that.get('message').cancel){
                    return 'cancel';
                }else if(pstatus == that.get('message').ready){
                    return 'ready';
                }else if(pstatus == that.get('message')._return){
                    return 'return';
                }else if(pstatus == that.get('message').unavail){
                    return 'unavail';
                }
            });
            Juicer.register('getAirportByCode', function(airport) {
                return IATACity[airport];
            });
			Juicer.register('getDay', function(date){
				var that = this;
				var d = new Date(date.replace(new RegExp("-","g"),'/'));
				var day = d.getDay();
				//var upper = ['日','一','二','三','四','五','六'];
				//return '周'+upper[day];
				var upper= isZh==0 ? ['周日','周一','周二','周三','周四','周五','周六']:["Sun.","Mon.","Tue.","Wed.","Thu.","Fri.","Sat."]
				return upper[day];
			});
		},

        dataInit: function(data) {
        	var that = this;
        	
        	if(data){       		
    			if(isZh==1){
        			//状态
        			if(data.pstatus){
    					if(data.pstatus == '到达'){
    						data.pstatus = 'arrive';
    	                }else if(data.pstatus == '起飞'){
    	                	data.pstatus = 'takeoff';
    	                }else if(data.pstatus == '延误'){
    	                	data.pstatus = 'delay';
    	                }else if(data.pstatus == '计划'){
    	                	data.pstatus = 'plan';
    	                }else if(data.pstatus == '取消'){
    	                	data.pstatus = 'cancel';
    	                }else if(data.pstatus == '备降'){
    	                	data.pstatus = 'ready';
    	                }else if(data.pstatus == '返航'){
    	                	data.pstatus = 'return'; 
    	                }
    				}
        			
        			//机场名称
    				if(data.pairport1 && data.pairport2 ){
    					data.deptAirportChnName = AIRPORT[data.pairport1];
    					data.destAirportChnName = AIRPORT[data.pairport2];
    				}
    				//航司两字码
    				if(data.airlineChnName && data.pflycode)
    					data.airlineChnName = AIRLINE[data.pflycode.substr(0,2)];
    			}

				//追加属性,航班信息
    			data.ckiCountertitle = that.get('message').ckiCountertitle;
    			data.baggageTurntitle = that.get('message').baggageTurntitle;
    			data.pgate1title = that.get('message').pgate1title;
    			data.ontimetitle = that.get('message').ontimetitle;
				
    			data.pplanttitle1 = that.get('message').prealtimetext1;
    			data.pplanttitle2 = that.get('message').prealtimetext3;
				
    			data.pterminaltitle1 = that.get('message').terminal;
    			data.pterminaltitle2 = that.get('message').terminal;
    			if(data.pgate1 == "待定")
    				data.pgate1 = that.get('message').pending;
        	}
        },
        
        renderCardList:function(){
            var that = this;

            if(followedList && data && data.length >0){
                if(notAssistant && notAssistant == 'false'){
                    //页面埋点
                    that.sendPoint('Page','RoundFlightOrderAssistant');
                }else{
                    //页面埋点
                    that.sendPoint('Page','FlightBoardFollowed');
                }

                that.nodes.default.addClass('hide');
                that.nodes.flightCard.removeClass('hide');

                var tpl1 = $('#J_card_status_tpl').html().trim();
                var tpl2 = $('#J_card_list_tpl').html().trim();
                var tpl3 = $('#J_card_item_tpl').html().trim();
				that.compiled_tpl_status = juicer(tpl1);
                that.compiled_tpl_list = juicer(tpl2)
                that.compiled_tpl_item = juicer(tpl3);
                var temp = data[0];
                for(var i = 1; i < followedList.length; i++){
                    if(isZh==0)
                        data[i] = temp;
                    else
                        data[i] = temp;
                }
                var html1 = that.compiled_tpl_status.render(data);
                that.nodes.cardStatus.html(html1);
                data[0] = that.processData(data[0]);
                var html2 = that.compiled_tpl_list.render(data);
                that.nodes.cardList.html(html2);

                that.initCardSlide();
                //每隔1s请求下一个关注航班详情
                for(var i = 1; i < followedList.length; i++){
                    setTimeout((function(k){
                        return function(){
                            if(userAgent == 'iphone'){
                                window.location.href = 'umesdk://flightstatus.subscribe/refresh?index='+k+'&init=1';
                                
                            }
                            else if(userAgent == 'android'){
                                //window.umesdk.refreshBg(k);
                                window.jsInterface.onNativeFunction("refreshBg",k);
                            }
                        };
                    })(i),1000*i);
                }
//                that.nodes.default.addClass('hide');
            }else{
                if(notAssistant && notAssistant == 'false'){
                    //页面埋点
                    that.sendPoint('Page','RoundFlightOrderAssistant');
                }else{
                    //页面埋点
                    that.sendPoint('Page','FightBoardUnfollow');
                }
					
                that.nodes.default.removeClass('hide');
                that.nodes.flightCard.addClass('hide');
            }
        },
		refreshPage:function(){
			var that = this;
            if(data && data.length > 0 && data[0]){
                            
                data[0] = that.processData(data[0]);
                var html = that.compiled_tpl_item.render(data[0]);
                $(S.all('.card-item')[index]).html(html);
            }
		},
        processData:function(data){
        	var that = this;
            that.dataInit(data);
            if((!data.prealtime1 || data.prealtime1 == '--') && data.pstatus != that.get('message').cancel){
                data.prealtime1 = data.ptd;
                if(data.pplantime1 == '--'){
                    data.prealtime1 = '--:--'
                }
                data.prealtimetext1 = that.get('message').prealtimetext2;
            }
            else{
                if(data.prealtime1 == '--'){
                    data.prealtime1 = '--:--'
                }
                data.prealtimetext1 = that.get('message').prealtimetext2;
            }
            if(( !data.prealtime2 || data.prealtime2 == '--') && data.pstatus != that.get('message').cancel){
                data.prealtime2 = data.pta;
                if(data.pplantime2 == '--'){
                    data.prealtime2 = '--:--'
                }
                data.prealtimetext2 = that.get('message').prealtimetext4;
            }
            else{
                if(data.prealtime2 == '--'){
                    data.prealtime2 = '--:--'
                }
                data.prealtimetext2 = that.get('message').prealtimetext4;
            }
            if(data.pterminal1 == ''){
                data.pterminal1 = '--';
            }
            if(data.pterminal2 == ''){
                data.pterminal2 = '--';
            }
            //若有值机信息，优先显示值机信息，再显示时间差
            if(data.ckiStatus && data.ckiStatus != ''){
            	if(data.ckiStatus == '值机关闭')
            		data.offTimeDesc = that.get('message').check_off;
            	else
            		data.offTimeDesc = data.ckiStatus;
            }
            return data;
        },
        changeSubState: function(type, result){
            var that = this;
            if(result == '1' && that.deleteItemNode){
                that.deleteItemNode.remove();
                var nodeArr = S.all('.slide-status i');
                S.each(nodeArr,function(o,i){
                    if(S.one(o).hasClass('sel')){
                        S.one(o).remove();
                    };
                });

                that.cardSlide.destroy();
                that.initCardSlide();

                if(S.one('.slide-status i')){
                    S.one('.slide-status i').addClass('sel');
                }

                that.cardNumDetect();//检测卡片数量以确定显示逻辑
            }
            else if(result == '-2'){
                Notification.simple('亲，您已关注过此航班',2000);
            }
            else{
                Notification.simple('亲，取消关注失败，请稍后再试',2000);
            }
        },
        initCardSlide:function(){
            var that = this;

            that.cardSlide= new Slider('#card-slide', {
                trigger: '.slide-status',
                lazyIndex: 1,
                duration: 300,
                useTransform: true
            });

        },

        getRequestParam: function(param, uri) {
            var value;
            uri = uri || window.location.href;
            value = uri.match(new RegExp('[\?\&]' + param + '=([^\&\#]*)([\&\#]?)', 'i'));
            return value ? decodeURIComponent(value[1]) : value;
        },

        pageGoto: function(href) {
            var that = this;

            if(!(/(waptest\.taobao|wapa.taobao|daily.taobao.net|m.taobao)/).test(location.host)){
                href = href +'&ks-debug';
            }

            window.location.href = href;
        },
        deleteFlight:function(){
            var that = this;

			if(userAgent == 'iphone'){
				window.location.href = 'umesdk://flightstatus.subscribe/cancelSubscribe?index='+that.cardSlide.curIndex;
			}
			else if(userAgent == 'android'){
                //window.umesdk.cancleAttentionService(that.cardSlide.curIndex);
                window.jsInterface.onNativeFunction("cancelAttentionService",that.cardSlide.curIndex);
			}
        },
        cardNumDetect:function(){
            var that = this;

            var cardNodeArr = S.all('.card-item');
            if(cardNodeArr.length < 1){
                that.nodes.default.removeClass('hide');
                that.nodes.flightCard.addClass('hide');
            }else{
                that.nodes.default.addClass('hide');
                that.nodes.flightCard.removeClass('hide');
            }
        },
        bindEvent:function(){
            var that = this;


            //进入机场详情页
            that.nodes.flightCard.on('click','.c-city',function(e){
                if(notAssistant && notAssistant == 'false'){
                    //页面埋点
                    that.sendPoint('Button','RoundFlightOrderAssistant','Airport');
                }else{
                    //页面埋点
                    that.sendPoint('Button','FlightBoardFollowed','Airport');
                }
				if(userAgent == 'iphone'){
					window.location.href = 'umesdk://flightstatus.airport?code='+$(e.target).find(".port-code").html();
				}
				else if(userAgent == 'android'){
                    window.umesdk.goAirport($(e.target).find(".port-code").html());
				}
            });

            //二态
            that.nodes.flightCard.on('touchstart','.refreshBtn',function(e){
                $(e.currentTarget).addClass('on');
            });
            that.nodes.flightCard.on('touchend','.refreshBtn',function(e){
                $(e.currentTarget).removeClass('on');
            });
            that.nodes.flightCard.on('touchstart','.deleteBtn',function(e){
                $(e.currentTarget).addClass('on');
            });
            that.nodes.flightCard.on('touchend','.deleteBtn',function(e){
                $(e.currentTarget).removeClass('on');
            });
            that.nodes.flightCard.on('click','.refreshBtn',function(e){
				that.sendPoint('Button','FlightBoardFollowed','Refresh');

                var target = S.one(e.currentTarget);
                var parentNode = target.parent('.card-item');
				var flightNumber = $(parentNode[0]).find(".title").html();
				var departure = $(parentNode[0]).find(".dep-port-code").html();
				var arrival = $(parentNode[0]).find(".arr-port-code").html();
				//that.cardSlide.curIndex;当前显示序号
				if(userAgent == 'iphone'){
					window.location.href = 'umesdk://flightstatus.subscribe/refresh?index='+that.cardSlide.curIndex+'&init=0';
				}
				else if(userAgent == 'android'){
                    //window.umesdk.refresh(that.cardSlide.curIndex);
                    window.jsInterface.onNativeFunction("refresh",that.cardSlide.curIndex);
				}
            });
            that.nodes.flightCard.on('click','.deleteBtn',function(e){
				that.sendPoint('Button','FlightBoardFollowed','Cancel');

                var target = S.one(e.currentTarget);
                Notification.confirm(that.get('message').cal_alert, null, function(e, type){
                    if(type == 1){
                        //deleteItemNode-删除航班节点
                        that.deleteItemNode = target.parent('.card-item');
                        that.deleteFlight();
                    }

                    this.hide();
                    that.maskObj.hide();
                }).show();
                that.maskObj.show();
            });

        },
        sendPoint: function(type, page, action) {
            Tracker.sendPoint({
                eid: 9199,
                page: page,
                type: type,
                action: action
            });
        }
    },{
        ATTRS: {
            defaultCity:{
                value : {
                    'depCity': '北京',
                    'arrCity': '杭州'
                }
            },
            pflystatus:{
				value:{}
			},
			message: {
                value: {
                	prealtimetext1: isZh==0 ? '预计出发' : 'Scheduled dept.',
                	prealtimetext2: isZh==0 ? '实际出发' : 'Actual dept.',
                	prealtimetext3: isZh==0 ? '预计到达' : 'Scheduled arr.',
                	prealtimetext4: isZh==0 ? '实际到达' : 'Actual arr.',
                	terminal: isZh==0 ? '航站楼': 'Terminal',
        			ckiCountertitle: isZh==0 ? '值机柜台': 'Check-in counter',
					pgate1title: isZh==0 ? '登机口': 'Boarding gate',
					baggageTurntitle: isZh==0 ? '行李转盘': 'Carousel',
					ontimetitle: isZh==0 ? '准点率': 'On-time',
        			arrive: isZh==0 ? '到达': 'arrive',
					takeoff: isZh==0 ? '起飞': 'takeoff',
					delay: isZh==0 ? '延误': 'delay',
					plan: isZh==0 ? '计划': 'plan',
					cancel: isZh==0 ? '取消': 'cancel',
					ready: isZh==0 ? '备降': 'ready',
					_return: isZh==0 ? '返航': 'return',
					unavail: isZh==0 ? '暂无': 'unavail',
					pending: isZh==0 ? '待定': 'Pending',
					upper: isZh==0 ? ['周日','周一','周二','周三','周四','周五','周六']:["Sun.","Mon.","Tue.","Wed.","Thu.","Fri.","Sat."],
					cal_alert: isZh==0 ? '亲,取消关注将不再接收此航班动态变化的即时信息':'You will not receive the information about this flight.',
					check_off: isZh==0? '值机关闭' :'Check in closed'
                }
            }
        }
    });

    return Search;

},{
    requires:['base','juicer','../../datas/airport','../../datas/airline','../../widgets/libs/slider','../../widgets/libs/notification','../../widgets/mask/index','../../widgets/libs/tracker']
});