// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
/**
 * 程序入口
 */
var app = angular.module('app', ['ionic', 'oc.lazyLoad', 'underscore', 'security', 'date.format'])

    .run(function ($ionicPlatform, $rootScope,$state,$location,$ionicPopup,$ionicHistory) {
        $ionicPlatform.ready(function () {
            if (window.cordova && window.cordova.plugins.Keyboard) {
                // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
                // for form inputs)
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);

                // Don't remove this line unless you know what you are doing. It stops the viewport
                // from snapping when text inputs are focused. Ionic handles this internally for
                // a much nicer keyboard experience.
                cordova.plugins.Keyboard.disableScroll(false);
                store.setData('$tempunlock','temp');
                SGPlugin.removeStartPage();
            }
            if (window.StatusBar) {
                StatusBar.styleDefault();
            }
            /**
             ios启动 阻止键盘插件启动 保证select标签有完成按钮
             **/
            document.addEventListener("deviceready", function () {
                //延迟splash screnn 隐藏时间,不然会有短暂的白屏出现
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);

                setTimeout(function () {
                    navigator.splashscreen.hide();
                }, 1000);
            });
            // 初始化
            //store.getDeviceCode();
            /**
             ios设备回到后台的时候调用
             **/
            document.addEventListener("pause",function(){
                var temptime= (new Date()).getTime();
//       var isShowGesturePassword=store.getMyInfo().isShowGesturePassword;
                //console.log(isShowGesturePassword);
                // console.log(temptime);
                //console.log(store.getData('$tempitem'));
                // console.log(store.getMyInfo().isShowGesturePassword);
                store.setData('$backgroundtime',temptime);
            });
            /**
             ios设备回到前台的时候调用
             **/
            document.addEventListener("resume",function(){
                var self=this;


                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
                var router = utils.getRouter();

                var type = store.getNoteType();

                if(type && router){//消息提醒进入
//			router.showNotificationOrder(type);
                    router.showNotificationDetail(type);
                }

                //恢复到前台时，load配置数据
                var _token = store.getToken();
                var timeGap = 1000*60*10;//10min
                var curTimePoint = _.now();//当前时间

                var get10MinPoint = store.get10MinPoint();

                if(router && _token && ((curTimePoint - get10MinPoint)> timeGap)){
                    store.set10MinPoint(curTimePoint);
                    router.updateConfigInfo();
                    router.getHomeJourneyData(store.getMyInfo());
                    curTimePoint = null;
                    get10MinPoint = null;
                }


                //更新token
                if(cordova){

                    var url = Config.baseUrl;
                    cordova.exec(function(){},function(){},"PushMessage","newupdateToken",[url,store.getToken()]);
                }

                console.log(store.getData('$isShowGesturePassword'));
                console.log(store.getData('$tempitem'));
                console.log(store.getMyInfo().isGesturePasswordForced);


                if(store.getData('$isShowGesturePassword')=='Y'&&(store.getData('$tempitem')=='on'||store.getMyInfo().isGesturePasswordForced=='Y')){

                    //调用手势解锁键盘页面
                    SGPlugin.gesturearguments(function(result){
                        var name = store.getLang() == 'zh-cn' ? store.getMyInfo().name : store.getMyInfo().nameEn;
                        var arguments=result;
                        var groundtime= store.getData('$backgroundtime');
                        var resumetime= (new Date()).getTime();
                        var intervaltime=resumetime-groundtime;
                        console.log(intervaltime);
                        if(arguments.stateStr==2&&intervaltime>60000){
                            var self=this;
                            var data = {
                                'setorlock':'false',
                                'theme':store.getTheme(),
                                'username':name,
                                'language':store.getLang(),
                                'newIndexIos':'1'
                            };
                            SGPlugin.gesturelock(function(result){
                                var arguments=result;
                                if(arguments.forgetstateStr==2){
                                    utils.logoutClearData(sgClient,store, SGPlugin,function(){
                                        // window.location.href = "../../www/index.html";
                                        SGPlugin.accountChangRestPwd();
                                        //点击忘记手势密码后，跳转到原生的登录界面
                                        SGPlugin.nativeLogout(null,null,'goToLogin',[null]);
                                    });
                                }
                               store.setData('$tempitem','on');

                            },[data]);
                        }
                    });
                }
            });


        });

        // 在状态改变前，检查用户是否登录。已登录则到下一页面，否则到登录页面。
        $rootScope.$on('$stateChangeStart', function (event, toState, toParams, fromState, fromParams) {
            //if (toState.name == 'login')return;// 如果是进入登录界面则允许
            //// 如果用户不存在
            //if (!$rootScope.user || !$rootScope.user.token) {
            //    event.preventDefault();// 取消默认跳转行为
            //    $state.go("login", {from: fromState.name, w: 'notLogin'});//跳转到登录界面
            //}
        });

        // android 防止键盘遮盖输入框 ios不知可行否
        ionic.Platform.isFullScreen = true;
    });

/* 常量定义 */
app.constant('AUTH_EVENTS', {
    loginSuccess: 'auth-login-success',
    loginFailed: 'auth-login-failed',
    logoutSuccess: 'auth-logout-success',
    sessionTimeout: 'auth-session-timeout',
    notAuthenticated: 'auth-not-authenticated',
    notAuthorized: 'auth-not-authorized'
})

/**
 * 配置
 */

app.config(function ($httpProvider,$ionicConfigProvider) {
    $ionicConfigProvider.views.swipeBackEnabled(false);

    $httpProvider.interceptors.push([
        '$injector',
        function ($injector) {
            return $injector.get('HttpInterceptor');
        }
    ]);


});
