// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
/**
 * 程序入口
 */
var app = angular.module('app', ['ionic', 'oc.lazyLoad', 'underscore', 'security', 'date.format'])

    .run(function ($ionicPlatform, $rootScope,$location,$state,$ionicPopup,$ionicHistory, $ionicLoading, $cacheFactory) {
        $ionicPlatform.ready(function () {
            if (window.cordova && window.cordova.plugins.Keyboard) {
                // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
                // for form inputs)
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);

                // Don't remove this line unless you know what you are doing. It stops the viewport
                // from snapping when text inputs are focused. Ionic handles this internally for
                // a much nicer keyboard experience.
                cordova.plugins.Keyboard.disableScroll(true);
            }
            if (window.StatusBar) {
                StatusBar.styleDefault();
            }

            //延迟splash screnn 隐藏时间,不然会有短暂的白屏出现
            setTimeout(function () {
                if(navigator && navigator.splashscreen) {
                    navigator.splashscreen.hide();
                }
            }, 1000);

            // 点击隐藏loading 中断ajax请求
            $rootScope.tabHideMsgRootScope = function(){
        		sgClient.abortAjax();
                //因$scope.sgClient.abortAjax();会把loading div层删掉，而$ionicLoading又需要这层，固判断是否有，没有则自动添加
                var loadingContainer = $(".loading-container");
                if(loadingContainer.length > 0 && loadingContainer[0].children.length < 1){
                  loadingContainer.remove();
                }
            };

            /**
             android设备回到后台的时候调用
             **/
            document.addEventListener("pause",function(){
              var temptime= (new Date()).getTime();
              store.setData('$backgroundtime',temptime);
            });
            //页面resume
            document.addEventListener("resume",function(){
                var type = store.getNoteType();
                if(type){//消息提醒进入
                    utils.showNotificationDetail(type, $state, $ionicLoading, $cacheFactory, $rootScope, $ionicPopup);
                }
                //alert("resume");
                //恢复到前台时，load配置数据
                var _token = store.getToken();
                var timeGap = 1000*60*10;//10min
                var curTimePoint = _.now();//当前时间
                var get10MinPoint = store.get10MinPoint();
                if(_token){//changed by zjf 2015-10-23   用户未登录时不调用接口 COZYGO-2412
                  //router.getHomeJourneyData(store.getMyInfo());
                  if((curTimePoint - get10MinPoint)> timeGap){
                    store.set10MinPoint(curTimePoint);
                    //router.updateConfigInfo();
                    curTimePoint = null;
                    get10MinPoint = null;
                  }
                }
                //android设备回到前台的时候调用
                if(store.getData('$isShowGesturePassword')=='Y'){
                    var _myInfo = store.getMyInfo();
                    //调用手势解锁键盘页面
                    var name = store.getLang() != 'en-us' ? _myInfo.name : _myInfo.nameEn;
                    var groundtime= store.getData('$backgroundtime');
                    var resumetime= (new Date()).getTime();
                    var intervaltime=resumetime-groundtime;
    //				          console.log(intervaltime);
                    if(store.getData("$isGesturePasswordSkip")!="temp"&&intervaltime>60000&&store.getData('$tempitem')=='on'){
                      console.log("here resume........")
                        var self=this;
                        var className = {
                          'GesturePassword' : '',
                          'Language' : store.getLang(),
                          'UserName' : name,
                          'Password' : '',
                          'Forced'   : _myInfo.isGesturePasswordForced
                        };
                        className.GesturePassword = 'startGestureUnlock';
                        cordova.exec(function(e) {
                          if (e == "forgets") {
                        	  store.setData('$isShowGesturePassword',null);//是否输入手势密码设置
                        	  utils.logoutClearData(sgClient, store, SGPlugin,function () {
                              // window.location.href = "../www/index_android.html";
                              SGPlugin.nativeLogout(null,null,'goToLogin',[null]);
                            });
                          }
                        }, function(e) {
      //								alert(e);
                        }, "GesturePassword", "GestureStart", [className]);
                    }
                }
            })
        });
        if(utils.browerVersion("android")){
          $ionicPlatform.registerBackButtonAction(function(e){//android监听物理返回键
            e.preventDefault();//阻止默认行为
            if($location.path() == "/tab/home" || $location.path() == "/tab/login" || $location.path() == "/tab/setting" || $location.path() == "/tab/assistant" || $location.path() == "/tab/mine"){
              var _text = Chinese.confirm_exit_program;
              if(store.getLang() == "en-us"){
                _text = English.confirm_exit_program;
              }
              else if(store.getLang() == "zh-tw"){
            	  _text = ChineseTw.confirm_exit_program;
              }
              utils.showAlertIonic($ionicPopup, {
                  text: '确认退回首页吗？', onOK: function () {
                    ionic.Platform.exitApp();
                  },onCancel:function(){}
              });
            }
            else if($location.path() == "/tab/flight_list_rt") {
              params.flight_list_segmentIndex = 1;
              delete params.selectedResult[2];
              $ionicHistory.goBack();
            }
            else if($location.path() == "/tab/order_detail" || $location.path() == "/tab/order_detail_int" || $location.path() == "/tab/pay_result"){//回到订单列表
                $state.go("tabs.order_list");
            }
//            else if($location.path() == "/tab/order_list" || $location.path() == "/tab/review_list"){//回到我的主页
//            	  $state.go("tabs.mine");
//            }
            else if($location.path() == "/tab/book_order" || $location.path() == "/tab/book_order_int"){//回到首页
  //            	$state.go("tabs.home");
            	SGPlugin.backHomeView();
            }
            else if($location.path() == "/tab/train_changeRange"){//火车票改期
                /*if(params.order.trainItemInfoList.length>1){

                    var showallindex = $scope.getCache('getChangeIndex');
                    var oldData = new Array(showallindex.allindex);
                    for(var i = 0; i < showallindex.allindex;i++){

                        oldData[i] = params.order.trainItemInfoList[i];
                    }
                    params.order.trainItemInfoList = [];
                    params.order.trainItemInfoList = oldData;
                }
                $ionicHistory.goBack();*/
            }
            else if($location.path() == "/tab/flight_list"){
            	params.order.airItemInfoList = Enumerable.From(params.order.airItemInfoList).Where(function (x) {
                    return x.airItemState != "-1";
                }).ToArray();
            	$ionicHistory.goBack();
            }
            else if($location.path() == "/tab/check_order"){//核对订单页回退
            	params.order.airItemInfoList = Enumerable.From(params.order.airItemInfoList).Where(function (x) {
                    return x.airItemState != "-1";
                }).ToArray();
                utils.clearPsgMemCard();
                $ionicHistory.goBack();
            }
            else if($location.path() == "/tab/check_info_int"){
            	params.order.airItemInfoList = Enumerable.From(params.order.airItemInfoList).Where(function (x) {
            	    return x.airItemState != "-1";
            	}).ToArray();
            	$ionicHistory.goBack();
            }
            else if($location.path() == "/tab/flight_lowest"){//参考最低价页面回退
            	params.isSpecial = false;
                //移除无效的 航段数据
                //self.params.flight_list_segmentIndex=1;
//            	console.log("segmentIndex:" + $scope._segmentIndex);
//                if (params.selectedResult[$scope._segmentIndex])
//                    delete params.selectedResult[$scope._segmentIndex];
                params.order.airItemInfoList = Enumerable.From(params.order.airItemInfoList).Where(function (x) {
                    return x.airItemState != "-1";
                }).ToArray();
                params.amexParams = {};
                $ionicHistory.goBack();
            }
            // 取消物理返回键功能
            else if($location.path() == "/tab/choose_insurance" || $location.path() == "/tab/alter_date_list"
            	|| $location.path() == "/tab/alter_date_check" || $location.path() == "/tab/alter_date_detail"
            	|| $location.path() == "/tab/hotel_list" || $location.path() == "/tab/hotel_info"
            	|| $location.path() == "/tab/hotel_check" || $location.path() == "/tab/hotel_special"){
            }
            else {
            	$ionicHistory.goBack();
            }
            // 如果不是首页，登录页，设置页，助手页，个人中心，且无上个页面那么关闭当前H5
            if ($location.path() != "/tab/home" && $location.path() != "/tab/login" && $location.path() != "/tab/setting" && $location.path() != "/tab/assistant" && $location.path() != "/tab/mine" && $ionicHistory.viewHistory().backView == null) {
              ionic.Platform.exitApp();
            }
            return false;
          },101);
        }

        // 在状态改变前，检查用户是否登录。已登录则到下一页面，否则到登录页面。
        $rootScope.$on('$stateChangeStart', function (event, toState, toParams, fromState, fromParams) {
            //if (toState.name == 'login')return;// 如果是进入登录界面则允许
            //// 如果用户不存在
            //if (!$rootScope.user || !$rootScope.user.token) {
            //    event.preventDefault();// 取消默认跳转行为
            //    $state.go("login", {from: fromState.name, w: 'notLogin'});//跳转到登录界面
            //}
        });

        // android 防止键盘遮盖输入框 ios不知可行否
        ionic.Platform.isFullScreen = true;
    });

/* 常量定义 */
app.constant('AUTH_EVENTS', {
    loginSuccess: 'auth-login-success',
    loginFailed: 'auth-login-failed',
    logoutSuccess: 'auth-logout-success',
    sessionTimeout: 'auth-session-timeout',
    notAuthenticated: 'auth-not-authenticated',
    notAuthorized: 'auth-not-authorized'
})

/**
 * 配置
 */

app.config(function ($httpProvider,$ionicConfigProvider) {
    $ionicConfigProvider.views.swipeBackEnabled(false);
    // 解决多酒店筛选后不进行加载更多的问题
    $ionicConfigProvider.scrolling.jsScrolling(true); 
    $httpProvider.interceptors.push([
        '$injector',
        function ($injector) {
            return $injector.get('HttpInterceptor');
        }
    ]);


});
