/**
 * 定义路由，懒加载模式（按需加载）
 */
app.config(function ($stateProvider, $urlRouterProvider) {

    $stateProvider

    // 登录
        .state('tabs.login', {
            url: '/login',
            cache: false,
            templateUrl: 'components/login/login.html',
            controller: 'loginCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/login/login.js", "components/login/login.css"]);
                }]
            }
        })
        .state('tabs', {
            url: "/tab",
            controller: 'baseCtrl',//控制器
            templateUrl: "components/base/base.html",//对应页面显示
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/base/parentCtrl.js", "components/base/base.js", "components/book_order/book_lounge.js", "components/order_detail/order_lounge.js"]);//加载所需文件
                }]
            }
        })
        //首页
        .state('tabs.home', {
            cache: false,
            url: "/home",
            templateUrl: "components/home/home.html",
            controller: 'homeCtrl',//页面对应控制器
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/home/home.js", "components/home/home.css"]);//加载所需文件
                }]
            }
        })

        .state('tabs.setting', {
            cache: false,
            url: "/setting",
            controller: 'settingCtrl',
            templateUrl: "components/setting/setting.html",
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/setting/setting.js", "components/setting/setting.css"]);//加载所需文件
                }]
            }
        })
        //语音切换
        .state('tabs.switch_language', {
            cache: false,
            url: "/switch_language",
            controller: 'switchLanguageCtrl',
            templateUrl: "components/switch_language/switch_language.html",
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/switch_language/switch_language.js", "components/switch_language/switch_language.css"]);//加载所需文件
                }]
            }
        })
        // order_list 订单列表页面
        .state('tabs.order_list', {
            /*cache: false,*/
            url: "/order_list",
            templateUrl: "components/order_list/order_list.html",
            controller: 'orderListCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/order_list/order_list.js", "components/order_list/order_list.css"]);//加载所需文件
                }]
            }
        })
        // order_detail 总订单页面
        .state('tabs.order_detail', {
            cache: false,
            url: "/order_detail",
            templateUrl: "components/order_detail/order_detail.html",
            controller: 'orderDetailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/order_detail/order_detail.js","components/order_detail/order_detail.css","js/plugin/flipsnap.js"]);//加载所需文件
                }]
            }
        })
        // review_list 审批列表页面
        .state('tabs.review_list', {
            /*cache: false,*/
            url: "/review_list",
            templateUrl: "components/review_list/review_list.html",
            controller: 'reviewListCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/review_list/review_list.js", "components/review_list/review_list.css"]);//加载所需文件
                }]
            }
        })
        //批量改签火车票，选择联系人 choose_passenger
        .state('tabs.choose_passenger', {
            cache: false,
            url: "/choose_passenger",
            templateUrl: "components/choose_passenger/choose_passenger.html",
            controller: 'choosePassengerCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/choose_passenger/choose_passenger.js", "components/choose_passenger/choose_passenger.css"]);//加载所需文件
                }]
            }
        })
        // review_detail 审批详情页面

        .state('tabs.review_detail', {
            cache: false,
            url: "/review_detail",
            templateUrl: "components/review_detail/review_detail.html",
            controller: 'reviewDetailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/review_detail/review_detail.js", "components/review_detail/review_detail.css","js/plugin/flipsnap.js"]);//加载所需文件
                }]
            }
        })


        // order_list 订单列表页面
        .state('tabs.book_train_reason', {
            cache: false,
            url: "/book_train_reason",
            templateUrl: "components/book_train_reason/book_train_reason.html",
            controller: 'book_train_reasonCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/book_train_reason/book_train_reason.js", "components/book_train_reason/book_train_reason.css"]);//加载所需文件
                }]
            }
        })


        .state('tabs.book_train_timelist', {
            cache: false,
            url: "/book_train_timelist",
            templateUrl: "components/book_train_timelist/book_train_timelist.html",
            controller: 'bookTrainTimelistCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/book_train_timelist/book_train_timelist.js", "components/book_train_timelist/book_train_timelist.css"]);//加载所需文件
                }]
            }
        })
        // taxi_order_detail 专车订单页面
        .state('tabs.taxi_order_detail', {
            cache: false,
            url: "/taxi_order_detail",
            templateUrl: "components/taxi_order_detail/taxi_order_detail.html",
            controller: 'taxiOrderDetailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/taxi_order_detail/taxi_order_detail.js", "components/taxi_order_detail/taxi_order_detail.css"]);//加载所需文件
                }]
            }
        })
        .state('tabs.assistant', {
            cache: false,
            url: "/assistant",
            controller: 'assistantCtrl',
            templateUrl: "components/assistant/assistant.html",
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/assistant/assistant.js", "components/assistant/assistant.css"]);//加载所需文件
                }]
            }
        })
        .state('tabs.mine', {
            cache: false,
            url: "/mine",
            controller: 'mineCtrl',
            templateUrl: "components/mine/mine.html",
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/mine/mine.js", "components/mine/mine.css"]);//加载所需文件
                }]
            }
        })

        //客服电话列表
        .state('tabs.customtel_list', {
            cache: false,
            url: "/customtel_list",
            templateUrl: "components/customtel_list/customtel_list.html",
            controller: 'customTelCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/customtel_list/customtel_list.js", "components/customtel_list/customtel_list.css"]);//加载所需文件
                }]
            }
        })


        // addJourney 行程导入页面
        .state('tabs.addJourney', {
            cache: false,
            url: "/addJourney",
            templateUrl: "components/addJourney/addJourney.html",
            controller: 'addJourneyCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/addJourney/addJourney.js", "components/addJourney/addJourney.css"]);//加载所需文件
                }]
            }
        })
        // addJourneyByMessage 短信导入页面
        .state('tabs.addJourneyByMessage', {
            cache: false,
            url: "/addJourneyByMessage",
            templateUrl: "components/addJourneyByMessage/addJourneyByMessage.html",
            controller: 'addJourneyByMessageCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/addJourneyByMessage/addJourneyByMessage.js", "components/addJourneyByMessage/addJourneyByMessage.css"]);//加载所需文件
                }]
            }
        })
        // train_search 火车手动选择行程页面
        .state('tabs.train_search', {
            cache: false,
            url: "/train_search",
            templateUrl: "components/train_search/train_search.html",
            controller: 'train_searchCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/train_search/train_search.js", "components/train_search/train_search.css"]);//加载所需文件
                }]
            }
        })
        // importJourney 选择行程页面
        .state('tabs.importJourney', {
            cache: false,
            url: "/importJourney",
            templateUrl: "components/importJourney/importJourney.html",
            controller: 'importJourneyCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/importJourney/importJourney.js", "components/importJourney/importJourney.css"]);//加载所需文件
                }]
            }
        })
        // importJourney 选择行程页面火车列表
        .state('tabs.train_station', {
            cache: false,
            url: "/train_station",
            templateUrl: "components/train_station/train_station.html",
            controller: 'train_stationCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/train_station/train_station.js", "components/train_station/train_station.css"]);//加载所需文件
                }]
            }
        })
        // 国际订单详情页面
        .state('tabs.order_detail_int', {
            cache: false,
            url: "/order_detail_int",
            templateUrl: "components/order_detail_int/order_detail_int.html",
            controller: 'order_detail_intCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/order_detail_int/order_detail_int.js", "components/order_detail_int/order_detail_int.css"]);//加载所需文件
                }]
            }
        })
		// 国际订单选方案页面
		.state('tabs.order_detail_int_schema', {
			cache: false,
			url: "/order_detail_int_schema",
			templateUrl: "components/order_detail_int_schema/order_detail_int_schema.html",
			controller: 'order_detail_int_schemaCtrl',
			resolve: {
				load: ['$ocLazyLoad', function ($ocLazyLoad) {
					return $ocLazyLoad.load(["components/order_detail_int_schema/order_detail_int_schema.js", "components/order_detail_int_schema/order_detail_int_schema.css"]);//加载所需文件
				}]
			}
		})
        // refund_alter_order 退改签和行李政策
        .state('tabs.refund_alter_order', {
            cache: false,
            url: "/refund_alter_order",
            templateUrl: "components/refund_alter_order/refund_alter_order.html",
            controller: 'refund_alter_orderCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/refund_alter_order/refund_alter_order.js", "components/refund_alter_order/refund_alter_order.css"]);//加载所需文件
                }]
            }
        })
        // select_station  行程  火车票
        .state('tabs.select_station', {
            cache: false,
            url: "/select_station",
            templateUrl: "components/select_station/select_station.html",
            controller: 'select_stationCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/select_station/select_station.js", "components/select_station/select_station.css"]);//加载所需文件
                }]
            }
        })
        // trainOrderDetail  行程  火车票详情
        .state('tabs.trainOrderDetail', {
            cache: false,
            url: "/trainOrderDetail",
            templateUrl: "components/trainOrderDetail/trainOrderDetail.html",
            controller: 'trainOrderDetailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/trainOrderDetail/trainOrderDetail.js", "components/trainOrderDetail/trainOrderDetail.css"]);//加载所需文件
                }]
            }
        })
        // journey_flight_open_detail  行程  未使用飞机详情
        .state('tabs.journey_flight_open_detail', {
            cache: false,
            url: "/journey_flight_open_detail",
            templateUrl: "components/journey_flight_open_detail/journey_flight_open_detail.html",
            controller: 'journey_flight_open_detailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/journey_flight_open_detail/journey_flight_open_detail.js", "components/journey_flight_open_detail/journey_flight_open_detail.css"]);//加载所需文件
                }]
            }
        })
        // journey_flight_used_detail  行程  使用飞机详情
        .state('tabs.journey_flight_used_detail', {
            cache: false,
            url: "/journey_flight_used_detail",
            templateUrl: "components/journey_flight_used_detail/journey_flight_used_detail.html",
            controller: 'journey_flight_used_detailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/journey_flight_used_detail/journey_flight_used_detail.js", "components/journey_flight_used_detail/journey_flight_used_detail.css"]);//加载所需文件
                }]
            }
        })
        //火车票查询
        .state('tabs.book_train_search', {
            cache: false,
            url: "/book_train_search",
            templateUrl: "components/book_train_search/book_train_search.html",
            controller: 'book-train-searchCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/book_train_search/book_train_search.js", "components/book_train_search/book_train_search.css"]);//加载所需文件
                }]
            }
        })
        //火车票查询列表
        .state('tabs.book_train_list', {
            cache: false,
            url: "/book_train_list",
            templateUrl: "components/book_train_list/book_train_list.html",
            controller: 'book_train_listCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/book_train_list/book_train_list.js", "components/book_train_list/book_train_list.css"]);//加载所需文件
                }]
            }
        })
        //火车票列表进详情
        .state('tabs.book_train_check', {
            cache: false,
            url: "/book_train_check",
            templateUrl: "components/book_train_check/book_train_check.html",
            controller: 'book_train_checkCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/book_train_check/book_train_check.js", "components/book_train_check/book_train_check.css"]);//加载所需文件
                }]
            }
        })
        //火车票多服务商
        .state('tabs.book_addService', {
            cache: false,
            url: "/book_addService",
            templateUrl: "components/book_addService/book_addService.html",
            controller: 'book_addServiceCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/book_addService/book_addService.js", "components/book_addService/book_addService.css"]);//加载所需文件
                }]
            }
        })
        .state('tabs.select_train', {
            cache: false,
            url: "/select_train",
            templateUrl: "components/select_train/select_train.html",
            controller: 'select_trainCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/select_train/select_train.js", "components/select_train/select_train.css"]);//加载所需文件
                }]
            }
        })
        .state('tabs.book_train_tip', {
            cache: false,
            url: "/book_train_tip",
            templateUrl: "components/book_train_tip/book_train_tip.html",
            controller: 'book_train_tipCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/book_train_tip/book_train_tip.js", "components/book_train_tip/book_train_tip.css"]);//加载所需文件
                }]
            }
        })
        /*火车票改签*/

        .state('tabs.train_changeRange', {
            cache: false,
            url: "/train_changeRange",
            templateUrl: "components/train_changeRange/train_changeRange.html",
            controller: 'train_changeRangeCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/train_changeRange/train_changeRange.js", "components/train_changeRange/train_changeRange.css"]);//加载所需文件
                }]
            }
        })

        /*个人信息*/
        .state('tabs.personal_info', {
            cache: false,
            url: "/personal_info",
            controller: 'personalInfoCtrl',
            templateUrl: "components/personal_info/personal_info.html",
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/personal_info/personal_info.js", "components/personal_info/personal_info.css"]);//加载所需文件
                }]
            }
        })
        /*选择国籍*/
        .state('tabs.nationality', {
            url: "/nationality",
            controller: 'nationalityCtrl',
            templateUrl: "components/nationality/nationality.html",
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/nationality/nationality.js", "components/nationality/nationality.css"]);//加载所需文件
                }]
            }
        })
        /*添加证件*/
        .state('tabs.card_add', {
            cache: false,
            url: "/card_add",
            controller: 'cardAddCtrl',
            templateUrl: "components/card_add/card_add.html",
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/card_add/card_add.js", "components/card_add/card_add.css"]);//加载所需文件
                }]
            }
        })
        /*忘记密码*/
        .state('tabs.change_password', {
            url: "/change_password",
            controller: 'changePwdCtrl',
            templateUrl: "components/change_password/change_password.html",
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/change_password/change_password.js", "components/change_password/change_password.css"]);//加载所需文件
                }]
            }
        })
        /*关于*/
        .state('tabs.about', {
            url: "/about",
            controller: 'aboutCtrl',
            templateUrl: "components/about/about.html",
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/about/about.js", "components/about/about.css"]);//加载所需文件
                }]
            }
        })
        /*意见反馈*/
        .state('tabs.feedback', {
            url: "/feedback",
            controller: 'feedbackCtrl',
            templateUrl: "components/feedback/feedback.html",
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/feedback/feedback.js", "components/feedback/feedback.css"]);//加载所需文件
                }]
            }
        })
        /*添加常旅客卡*/
        .state('tabs.trip_card_add', {
            url: "/trip_card_add",
            controller: 'tripCardAddCtrl',
            templateUrl: "components/trip_card_add/trip_card_add.html",
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/trip_card_add/trip_card_add.js", "components/card_add/card_add.css"]);//加载所需文件
                }]
            }
        })
        .state('tabs.newList', {
            cache: false,
            url: "/list",
            templateUrl: "components/list/newList.html",
            controller: 'newListCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/list/newList.js", "components/list/newList.css"]);//加载所需文件
                }]
            }
        })
        //候选人流程选择公司差旅政策
        .state('tabs.company_travel_policy', {
            cache: false,
            url: "/company_travel_policy",
            templateUrl: "components/company_travel_policy/company_travel_policy.html",
            controller: 'companyTravelPolicyCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/company_travel_policy/company_travel_policy.js", "components/company_travel_policy/company_travel_policy.css"]);//加载所需文件
                }]
            }
        })
        //候选人流程选择公司差旅政策
        .state('tabs.select_company', {
            cache: false,
            url: "/select_company",
            templateUrl: "components/select_company/select_company.html",
            controller: 'selectCompanyCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/select_company/select_company.js", "components/select_company/select_company.css"]);//加载所需文件
                }]
            }
        })
        //候选人流程选择公司差旅政策
        .state('tabs.select_travel_policy', {
            cache: false,
            url: "/select_travel_policy",
            templateUrl: "components/select_travel_policy/select_travel_policy.html",
            controller: 'selectTravelPolicyCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/select_travel_policy/select_travel_policy.js", "components/select_travel_policy/select_travel_policy.css"]);//加载所需文件
                }]
            }
        })
        //候选人流程添加旅客选择审批规则
        .state('tabs.select_approve_rule', {
            cache: false,
            url: "/select_approve_rule",
            templateUrl: "components/select_approve_rule/select_approve_rule.html",
            controller: 'selectApproveRuleCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/select_approve_rule/select_approve_rule.js", "components/select_approve_rule/select_approve_rule.css"]);//加载所需文件
                }]
            }
        })
        //忘记密码
        .state('tabs.forget_pass', {
            url: "/forget_pass",
            templateUrl: "components/forget_pass/forget_pass.html",
            controller: 'forgetPassCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/forget_pass/forget_pass.js", "components/forget_pass/forget_pass.css"]);//加载所需文件
                }]
            }
        })
        //登录提示
        .state('tabs.login_structions', {
            url: "/login_structions",
            templateUrl: "components/login_structions/login_structions.html",
            controller: 'loginStrCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/login_structions/login_structions.js", "components/login_structions/login_structions.css"]);//加载所需文件
                }]
            }
        })
        //秘书型选择乘机人
        .state('tabs.select_user', {
            cache: false,
            url: "/select_user",
            templateUrl: "components/select_user/select_user.html",
            controller: 'selectUserCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/select_user/select_user.js", "components/select_user/select_user.css"]);//加载所需文件
                }]
            }
        })

        //秘书型搜索乘机人
        .state('tabs.find_user', {
            url: "/find_user",
            templateUrl: "components/find_user/find_user.html",
            controller: 'findUserCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/find_user/find_user.js", "components/find_user/find_user.css"]);//加载所需文件
                }]
            }
        })
		//重复订单列表
		.state('tabs.journey_list', {
			url: "/journey_list",
			templateUrl: "components/journey_list/journey_list.html",
			controller: 'journeyListCtrl',
			resolve: {
				load: ['$ocLazyLoad', function ($ocLazyLoad) {
					return $ocLazyLoad.load(["components/journey_list/journey_list.js", "components/journey_list/journey_list.css"]);//加载所需文件
				}]
			}
		})

        //搜索临时旅客(lgl修改)
        .state('tabs.find_temp_user', {
            cache: false,
            url: "/find_temp_user",
            templateUrl: "components/find_temp_user/find_temp_user.html",
            controller: 'findTempUserCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/find_temp_user/find_temp_user.js", "components/find_temp_user/find_temp_user.css"]);//加载所需文件
                }]
            }
        })

        //新建临时旅客信息(lgl修改)
        .state('tabs.add_temp_traveler', {
            cache: false,
            url: "/add_temp_traveler",
            templateUrl: "components/add_temp_traveler/add_temp_traveler.html",
            controller: 'addTempUserCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/add_temp_traveler/add_temp_traveler.js", "components/add_temp_traveler/add_temp_traveler.css"]);//加载所需文件
                }]
            }
        })
        //查询临时旅客证件(lgl修改)
        .state('tabs.temp_traveler_card', {
            url: "/temp_traveler_card",
            templateUrl: "components/temp_traveler_card/temp_traveler_card.html",
            controller: 'tempTravelerCardCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/temp_traveler_card/temp_traveler_card.js", "components/temp_traveler_card/temp_traveler_card.css"]);//加载所需文件
                }]
            }
        })

        //临时旅客添加证件页(lgl修改)
        .state('tabs.temp_card_add', {
            url: "/temp_card_add",
            templateUrl: "components/temp_card_add/temp_card_add.html",
            controller: 'tempCardAddCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/temp_card_add/temp_card_add.js", "components/temp_card_add/temp_card_add.css"]);//加载所需文件
                }]
            }
        })
        // 临时旅客修改证件页(lgl修改)
        .state('tabs.temp_card_update', {
            url: "/temp_card_update",
            templateUrl: "components/temp_card_update/temp_card_update.html",
            controller: 'tempCardUpdateCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/temp_card_update/temp_card_update.js", "components/temp_card_update/temp_card_update.css"]);//加载所需文件
                }]
            }
        })

        //审批授权
        .state('tabs.approval_authority_status', {
            url: "/approval_authority_status",
            templateUrl: "components/approval_authority_status/approval_authority_status.html",
            controller: 'approvalAuthorityCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/approval_authority_status/approval_authority_status.js", "components/approval_authority_status/approval_authority_status.css"]);//加载所需文件
                }]
            }
        })

        //新增审批授权
        .state('tabs.new_approval_authority', {
            url: "/new_approval_authority",
            templateUrl: "components/new_approval_authority/new_approval_authority.html",
            controller: 'approvalAddCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/new_approval_authority/new_approval_authority.js", "components/new_approval_authority/new_approval_authority.css"]);//加载所需文件
                }]
            }
        })


        //运通选择差旅政策
        .state('tabs.amex_policy', {
            url: "/amex_policy",
            cache:false,
            templateUrl: "components/amex_policy/amex_policy.html",
            controller: 'amexPolicyCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/amex_policy/amex_policy.js", "components/amex_policy/amex_policy.css"]);//加载所需文件
                }]
            }
        })
		//运通提交附加数据
		.state('tabs.amex_submit', {
			url: "/amex_submit",
			templateUrl: "components/amex_submit/amex_submit.html",
			controller: 'amexSubmitCtrl',
			resolve: {
				load: ['$ocLazyLoad', function ($ocLazyLoad) {
					return $ocLazyLoad.load(["components/amex_submit/amex_submit.js", "components/amex_submit/amex_submit.css"]);//加载所需文件
				}]
			}
		})
		//运通提交选择违背原因
		.state('tabs.amex_remark', {
			url: "/amex_remark",
			templateUrl: "components/amex_remark/amex_remark.html",
			controller: 'amexRemarkCtrl',
			resolve: {
				load: ['$ocLazyLoad', function ($ocLazyLoad) {
					return $ocLazyLoad.load(["components/amex_remark/amex_remark.js", "components/amex_remark/amex_remark.css"]);//加载所需文件
				}]
			}
		})
		//运通提交选择违背原因
		.state('tabs.amex_remark_int', {
			url: "/amex_remark_int",
			templateUrl: "components/amex_remark_int/amex_remark_int.html",
			controller: 'amexRemarkIntCtrl',
			resolve: {
				load: ['$ocLazyLoad', function ($ocLazyLoad) {
					return $ocLazyLoad.load(["components/amex_remark_int/amex_remark_int.js", "components/amex_remark_int/amex_remark_int.css"]);//加载所需文件
				}]
			}
		})
		//运通提交附加数据
		.state('tabs.amex_option', {
			url: "/amex_option",
			templateUrl: "components/amex_option/amex_option.html",
			controller: 'amexOptionCtrl',
			resolve: {
				load: ['$ocLazyLoad', function ($ocLazyLoad) {
					return $ocLazyLoad.load(["components/amex_option/amex_option.js", "components/amex_option/amex_option.css"]);//加载所需文件
				}]
			}
		})
        //选择机场
        .state('tabs.airport', {
            url: "/airport",
            cache: false,
            templateUrl: "components/airport/airport.html",
            controller: 'airportCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/airport/airport.js", "components/airport/airport.css"]);//加载所需文件
                }]
            }
        })
        //日历
        .state('tabs.flight_calendar', {
            url: "/flight_calendar",
            templateUrl: "components/flight_calendar/flight_calendar.html",
            controller: 'flightCalendarCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_calendar/flight_calendar.js", "components/flight_calendar/flight_calendar.css"]);//加载所需文件
                }]
            }
        })
        //微服务选择审批规则
        .state('tabs.unified_approve_info', {
            url: "/unified_approve_info",
            templateUrl: "components/unified_approve_info/unified_approve_info.html",
            controller: 'unifiedApproveInfoCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/unified_approve_info/unified_approve_info.js", "components/unified_approve_info/unified_approve_info.css"]);//加载所需文件
                }]
            }
        })
        // 机票航班查询
        .state('tabs.flight_search', {
            url: '/flight_search',
            cache: false,
            templateUrl: 'components/flight_search/flight_search.html',
            controller: 'flightSearchCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_search/flight_search.js", "components/flight_search/flight_search.css"]);
                }]
            }
        })
        // 航班动态查询
        .state('tabs.flight_trends', {
            url: '/flight_trends',
            cache: false,
            templateUrl: 'components/flight_trends/flight_trends.html',
            controller: 'flightTrendsCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_trends/flight_trends.js", "components/flight_trends/flight_trends.css"]);
                }]
            }
        })
        // 酒店搜索
        .state('tabs.hotel_search', {
            url: '/hotel_search',
            cache: false,
            templateUrl: 'components/hotel_search/hotel_search.html',
            controller: 'hotelSearchCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_search/hotel_search.js", "components/hotel_search/hotel_search.css"]);
                }]
            }
        })
        // 酒店搜索关键词
        .state('tabs.hotel_search_key', {
            url: '/hotel_search_key',
            cache: false,
            templateUrl: 'components/hotel_search_key/hotel_search_key.html',
            controller: 'hotelSearchKeyCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_search_key/hotel_search_key.js", "components/hotel_search_key/hotel_search_key.css"]);
                }]
            }
        })

        // 酒店地标页面新
        .state('tabs.hotel_search_keynew', {
            url: '/hotel_search_keynew',
            cache: false,
            templateUrl: 'components/hotel_search_keynew/hotel_search_keynew.html',
            controller: 'hotelSearchKeynewCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_search_keynew/hotel_search_keynew.js", "components/hotel_search_keynew/hotel_search_keynew.css"]);
                }]
            }
        })

        // 酒店列表
        .state('tabs.hotel_list', {
            url: '/hotel_list',
           /* cache: false,*/
            templateUrl: 'components/hotel_list/hotel_list.html',
            controller: 'hotelListCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_list/hotel_list.js", "components/hotel_list/hotel_list.css"]);
                }]
            }
        })
        // 手工订单功能
        .state('tabs.custom_order', {
            url: '/custom_order',
            cache: false,
            templateUrl: 'components/custom_order/custom_order.html',
            controller: 'customOrderCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/custom_order/custom_order.js", "components/custom_order/custom_order.css"]);
                }]
            }
        })
        // 手工补单功能
        .state('tabs.repair_order', {
            url: '/repair_order',
            cache: false,
            templateUrl: 'components/repair_order/repair_order.html',
            controller: 'repairOrderCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/repair_order/repair_order.js", "components/repair_order/repair_order.css"]);
                }]
            }
        })
        // 手工订单担保
        .state('tabs.custom_credit_card', {
            url: '/custom_credit_card',
            cache: false,
            templateUrl: 'components/custom_credit_card/custom_credit_card.html',
            controller: 'customCreditCardCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/custom_credit_card/custom_credit_card.js", "components/custom_credit_card/custom_credit_card.css"]);
                }]
            }
        })
        // 手工订单担保卡类型
        .state('tabs.custom_credit_cardtype', {
            url: '/custom_credit_cardtype',
            cache: false,
            templateUrl: 'components/custom_credit_cardtype/custom_credit_cardtype.html',
            controller: 'customCreditCardtypeCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/custom_credit_cardtype/custom_credit_cardtype.js", "components/custom_credit_cardtype/custom_credit_cardtype.css"]);
                }]
            }
        })
        // 酒店差标
        .state('tabs.policy', {
            url: '/policy',
            cache: false,
            templateUrl: 'components/policy/policy.html',
            controller: 'policyCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/policy/policy.js", "components/policy/policy.css"]);
                }]
            }
        })
        // 酒店信息
        .state('tabs.hotel_info', {
            url: '/hotel_info',
            cache: false,
            templateUrl: 'components/hotel_info/hotel_info.html',
            controller: 'hotelInfoCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_info/hotel_info.js", "js/plugin/flipsnap.js", "js/plugin/swiper.min.js", "js/plugin/idangerous.swiper.scrollbar-1.0.js", "components/hotel_info/hotel_info.css"]);
                }]
            }
        })
        // 酒店详情
        .state('tabs.hotel_detail', {
            url: '/hotel_detail',
            cache: false,
            templateUrl: 'components/hotel_detail/hotel_detail.html',
            controller: 'hotelDetailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_detail/hotel_detail.js", "components/hotel_detail/hotel_detail.css"]);
                }]
            }
        })
        // 酒店房间详情
        .state('tabs.hotel_room_detail', {
            url: '/hotel_room_detail',
            cache: false,
            templateUrl: 'components/hotel_room_detail/hotel_room_detail.html',
            controller: 'hotelRoomDetailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_room_detail/hotel_room_detail.js", "components/hotel_room_detail/hotel_room_detail.css"]);
                }]
            }
        })
        // 酒店评论
        .state('tabs.hotel_remark', {
            url: '/hotel_remark',
            cache: false,
            templateUrl: 'components/hotel_remark/hotel_remark.html',
            controller: 'hotelRemarkCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_remark/hotel_remark.js", "components/hotel_remark/hotel_remark.css"]);
                }]
            }
        })
        // 酒店核对订单
        .state('tabs.hotel_check', {
            url: '/hotel_check',
            cache: false,
            templateUrl: 'components/hotel_check/hotel_check.html',
            controller: 'hotelCheckCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_check/hotel_check.js", "components/hotel_check/hotel_check.css"]);
                }]
            }
        })
        // 酒店特殊要求
        .state('tabs.hotel_special', {
            url: '/hotel_special',
            cache: false,
            templateUrl: 'components/hotel_special/hotel_special.html',
            controller: 'hotelSpecialCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_special/hotel_special.js", "components/hotel_special/hotel_special.css"]);
                }]
            }
        })
        // 酒店政策
        .state('tabs.hotel_policy_info', {
            url: '/hotel_policy_info',
            cache: false,
            templateUrl: 'components/hotel_policy_info/hotel_policy_info.html',
            controller: 'hotelPolicyCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_policy_info/hotel_policy_info.js", "components/hotel_policy_info/hotel_policy_info.css"]);
                }]
            }
        })
        // 酒店违背原因
        .state('tabs.hotel_policy_reason', {
            url: '/hotel_policy_reason',
            cache: false,
            templateUrl: 'components/hotel_policy_reason/hotel_policy_reason.html',
            controller: 'hotelPolicyReasonCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_policy_reason/hotel_policy_reason.js", "components/hotel_policy_reason/hotel_policy_reason.css"]);
                }]
            }
        })
        // 酒店入住人详情
        .state('tabs.hotel_modifi_mobile', {
            url: '/hotel_modifi_mobile',
            cache: false,
            templateUrl: 'components/hotel_modifi_mobile/hotel_modifi_mobile.html',
            controller: 'hotelModifiMobileCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_modifi_mobile/hotel_modifi_mobile.js", "components/hotel_modifi_mobile/hotel_modifi_mobile.css"]);
                }]
            }
        })
        // 酒店联系人详情
        .state('tabs.hotel_modifi_contacter', {
            url: '/hotel_modifi_contacter',
            cache: false,
            templateUrl: 'components/hotel_modifi_contacter/hotel_modifi_contacter.html',
            controller: 'hotelModifContacterCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_modifi_contacter/hotel_modifi_contacter.js", "components/hotel_modifi_contacter/hotel_modifi_contacter.css"]);
                }]
            }
        })
        // 酒店信用卡担保选择担保房间
        .state('tabs.hotel_secretary_cardselect', {
            url: '/hotel_secretary_cardselect',
            cache: false,
            templateUrl: 'components/hotel_secretary_cardselect/hotel_secretary_cardselect.html',
            controller: 'hotelSecretaryCardselectCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_secretary_cardselect/hotel_secretary_cardselect.js", "components/hotel_secretary_cardselect/hotel_secretary_cardselect.css"]);
                }]
            }
        })
        // 酒店信用卡担保
        .state('tabs.hotel_credit_card', {
            url: '/hotel_credit_card',
            cache: false,
            templateUrl: 'components/hotel_credit_card/hotel_credit_card.html',
            controller: 'hotelCreditCardCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_credit_card/hotel_credit_card.js", "components/hotel_credit_card/hotel_credit_card.css"]);
                }]
            }
        })

        // 酒店信用卡担保选择信用卡
        .state('tabs.hotel_choose_creditcard', {
            url: '/hotel_choose_creditcard',
            cache: false,
            templateUrl: 'components/hotel_choose_creditcard/hotel_choose_creditcard.html',
            controller: 'chooseCreditcardCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_choose_creditcard/hotel_choose_creditcard.js", "components/hotel_choose_creditcard/hotel_choose_creditcard.css"]);
                }]
            }
        })

        // 酒店信用卡担保
        .state('tabs.hotel_credit_idtype', {
            url: '/hotel_credit_idtype',
            cache: false,
            templateUrl: 'components/hotel_credit_idtype/hotel_credit_idtype.html',
            controller: 'hotelCreditIdtypeCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_credit_idtype/hotel_credit_idtype.js", "components/hotel_credit_idtype/hotel_credit_idtype.css"]);
                }]
            }
        })
        // 酒店信用卡担保
        .state('tabs.hotel_tripcard_info', {
            url: '/hotel_tripcard_info',
            cache: false,
            templateUrl: 'components/hotel_tripcard_info/hotel_tripcard_info.html',
            controller: 'hotelTripcardInfoCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_tripcard_info/hotel_tripcard_info.js", "components/hotel_tripcard_info/hotel_tripcard_info.css"]);
                }]
            }
        })
        // 酒店信用卡担保卡类型
        .state('tabs.hotel_credit_cardtype', {
            url: '/hotel_credit_cardtype',
            cache: false,
            templateUrl: 'components/hotel_credit_cardtype/hotel_credit_cardtype.html',
            controller: 'hotelCreditCardtypeCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_credit_cardtype/hotel_credit_cardtype.js", "components/hotel_credit_cardtype/hotel_credit_cardtype.css"]);
                }]
            }
        })
        // 酒店地图
        .state('tabs.showMap', {
            url: '/showMap',
            cache: false,
            templateUrl: 'components/showMap/showMap.html',
            controller: 'showMapCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/showMap/showMap.js", "components/showMap/showMap.css"]);
                }]
            }
        })
        // 城市选择
        .state('tabs.hotel_city', {
            url: '/hotel_city',
            cache: false,
            templateUrl: 'components/hotel_city/hotel_city.html',
            controller: 'hotelCityCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hotel_city/hotel_city.js", "components/hotel_city/hotel_city.css"]);
                }]
            }
        })
        // 机票改期
        .state('tabs.alter_date_list', {
            url: '/alter_date_list',
            cache: false,
            templateUrl: 'components/alter_date_list/alter_date_list.html',
            controller: 'alterDateListCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/alter_date_list/alter_date_list.js", "components/alter_date_list/alter_date_list.css"]);
                }]
            }
        })
        // 机票改期选择
        .state('tabs.alter_date_check', {
            url: '/alter_date_check',
            cache: false,
            templateUrl: 'components/alter_date_check/alter_date_check.html',
            controller: 'alterDateCheckCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/alter_date_check/alter_date_check.js", "components/alter_date_check/alter_date_check.css"]);
                }]
            }
        })
        // 机票改期详情
        .state('tabs.alter_date_detail', {
            url: '/alter_date_detail',
            cache: false,
            templateUrl: 'components/alter_date_detail/alter_date_detail.html',
            controller: 'alterDateDetailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/alter_date_detail/alter_date_detail.js", "components/alter_date_detail/alter_date_detail.css"]);
                }]
            }
        })
        //退票列表
        .state('tabs.refund_ticket', {
            url: '/refund_ticket',
            cache: false,
            templateUrl: 'components/refund_ticket/refund_ticket.html',
            controller: 'refundTicketCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/refund_ticket/refund_ticket.js", "components/refund_ticket/refund_ticket.css"]);
                }]
            }
        })
        //退票详情
        .state('tabs.refund_detail', {
            url: '/refund_detail',
            cache: false,
            templateUrl: 'components/refund_detail/refund_detail.html',
            controller: 'refundDetailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/refund_detail/refund_detail.js", "components/refund_detail/refund_detail.css"]);
                }]
            }
        })
		//退票须知
		.state('tabs.refund_notice', {
			url: '/refund_notice',
			templateUrl: 'components/refund_notice/refund_notice.html',
			controller: 'refundNoticeCtrl',
			resolve: {
				load: ['$ocLazyLoad', function ($ocLazyLoad) {
					return $ocLazyLoad.load(["components/refund_notice/refund_notice.js", "components/refund_notice/refund_notice.css"]);
				}]
			}
		})
        //预付费选座
        .state('tabs.prepaid_seat_selection', {
            url: '/prepaid_seat_selection',
            cache: false,
            templateUrl: 'components/prepaid_seat_selection/prepaid_seat_selection.html',
            controller: 'prepaidSeatSelectionCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/prepaid_seat_selection/prepaid_seat_selection.js", "components/prepaid_seat_selection/prepaid_seat_selection.css"]);
                }]
            }
        })
        //预付费选座
        .state('tabs.hu_select_seat', {
            url: '/hu_select_seat',
            cache: false,
            templateUrl: 'components/hu_select_seat/hu_select_seat.html',
            controller: 'huSelectSeatCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/hu_select_seat/hu_select_seat.js", "components/hu_select_seat/hu_select_seat.css"]);
                }]
            }
        })
        // 国内航班列表
        .state('tabs.flight_list', {
            url: '/flight_list',
            /*cache: false,*/
            templateUrl: 'components/flight_list/flight_list.html',
            controller: 'flightListCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_list/flight_list.js", "components/flight_list/flight_list.css"]);
                }]
            }
        })
        // 出差单列表
        .state('tabs.flight_evection_list', {
            url: '/flight_evection_list',
            /*cache: false,*/
            templateUrl: 'components/flight_evection_list/flight_evection_list.html',
            controller: 'flightEvection',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_evection_list/flight_evection_list.js", "components/flight_evection_list/flight_evection_list.css"]);
                }]
            }
        })
        // 出差单机场控件列表
        .state('tabs.airport_city_list', {
            url: '/airport_city_list',
            /*cache: false,*/
            templateUrl: 'components/airport_city_list/airport_city_list.html',
            controller: 'airport_city_list',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/airport_city_list/airport_city_list.js", "components/airport_city_list/airport_city_list.css"]);
                }]
            }
        })

        // 国内航班多服务商仓位列表
        .state('tabs.flight_list_supplier', {
            url: '/flight_list_supplier',
            cache: false,
            templateUrl: 'components/flight_list_supplier/flight_list_supplier.html',
            controller: 'flightListSupplierCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_list_supplier/flight_list_supplier.js", "components/flight_list_supplier/flight_list_supplier.css"]);
                }]
            }
        })
        // 国内航班多服务商仓位列表-返程
        .state('tabs.flight_list_supplier_rt', {
            url: '/flight_list_supplier_rt',
            /*cache: false,*/
            templateUrl: 'components/flight_list_supplier/flight_list_supplier.html',
            controller: 'flightListSupplierCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_list_supplier/flight_list_supplier.js", "components/flight_list_supplier/flight_list_supplier.css"]);
                }]
            }
        })
        // 国内航班一舱多价仓位列表
        .state('tabs.flight_list_multiPrice', {
            url: '/flight_list_multiPrice',
            cache: false,
            templateUrl: 'components/flight_list_multiPrice/flight_list_multiPrice.html',
            controller: 'flightListMultiPriceCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_list_multiPrice/flight_list_multiPrice.js", "components/flight_list_multiPrice/flight_list_multiPrice.css"]);
                }]
            }
        })
        // 国内航班一舱多价选赠详情
        .state('tabs.flight_multi_price_detail', {
            url: '/flight_multi_price_detail',
            cache: false,
            templateUrl: 'components/flight_multi_price_detail/flight_multi_price_detail.html',
            controller: 'flightMultiPriceDetailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_multi_price_detail/flight_multi_price_detail.js", "components/flight_multi_price_detail/flight_multi_price_detail.css"]);
                }]
            }
        })
        // 国内航班一舱多价仓位列表-返程
        .state('tabs.flight_list_multiPrice_rt', {
            url: '/flight_list_multiPrice_rt',
            /*cache: false,*/
            templateUrl: 'components/flight_list_multiPrice/flight_list_multiPrice.html',
            controller: 'flightListMultiPriceCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_list_multiPrice/flight_list_multiPrice.js", "components/flight_list_multiPrice/flight_list_multiPrice.css"]);
                }]
            }
        })
        //国际航班列表
        .state('tabs.flight_list_int', {
            url: '/flight_list_int',
            /*cache: false,*/
            templateUrl: 'components/flight_list_int/flight_list_int.html',
            controller: 'flightListIntCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_list_int/flight_list_int.js", "components/flight_list_int/flight_list_int.css"]);
                }]
            }
        })
        //国际航班列表-返程
        .state('tabs.flight_list_int_rt', {
            url: '/flight_list_int_rt',
            /*cache: false,*/
            templateUrl: 'components/flight_list_int/flight_list_int.html',
            controller: 'flightListIntCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_list_int/flight_list_int.js", "components/flight_list_int/flight_list_int.css"]);
                }]
            }
        })
        //国际航班列表-多程
        .state('tabs.flight_list_int_2', {
            url: '/flight_list_int_2',
            /*cache: false,*/
            templateUrl: 'components/flight_list_int/flight_list_int.html',
            controller: 'flightListIntCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_list_int/flight_list_int.js", "components/flight_list_int/flight_list_int.css"]);
                }]
            }
        })
        //国际航班列表-多程
        .state('tabs.flight_list_int_3', {
            url: '/flight_list_int_3',
            /*cache: false,*/
            templateUrl: 'components/flight_list_int/flight_list_int.html',
            controller: 'flightListIntCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_list_int/flight_list_int.js", "components/flight_list_int/flight_list_int.css"]);
                }]
            }
        })
        //国际航班列表-多程
        .state('tabs.flight_list_int_4', {
            url: '/flight_list_int_4',
            /*cache: false,*/
            templateUrl: 'components/flight_list_int/flight_list_int.html',
            controller: 'flightListIntCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_list_int/flight_list_int.js", "components/flight_list_int/flight_list_int.css"]);
                }]
            }
        })
        //国际航班列表-多程
        .state('tabs.flight_list_int_5', {
            url: '/flight_list_int_5',
            /*cache: false,*/
            templateUrl: 'components/flight_list_int/flight_list_int.html',
            controller: 'flightListIntCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_list_int/flight_list_int.js", "components/flight_list_int/flight_list_int.css"]);
                }]
            }
        })
        //国际航班列表-多程
        .state('tabs.flight_list_int_6', {
            url: '/flight_list_int_6',
            /*cache: false,*/
            templateUrl: 'components/flight_list_int/flight_list_int.html',
            controller: 'flightListIntCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_list_int/flight_list_int.js", "components/flight_list_int/flight_list_int.css"]);
                }]
            }
        })
        //国际航班列表-多程
        .state('tabs.flight_list_int_7', {
            url: '/flight_list_int_7',
            /*cache: false,*/
            templateUrl: 'components/flight_list_int/flight_list_int.html',
            controller: 'flightListIntCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_list_int/flight_list_int.js", "components/flight_list_int/flight_list_int.css"]);
                }]
            }
        })
        //国际航班列表-多程
        .state('tabs.flight_list_int_8', {
            url: '/flight_list_int_8',
            /*cache: false,*/
            templateUrl: 'components/flight_list_int/flight_list_int.html',
            controller: 'flightListIntCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_list_int/flight_list_int.js", "components/flight_list_int/flight_list_int.css"]);
                }]
            }
        })
		//国际航班列表
		.state('tabs.flight_list_int_cabin', {
			url: '/flight_list_int_cabin',
			/*cache: false,*/
			templateUrl: 'components/flight_list_int_cabin/flight_list_int_cabin.html',
			controller: 'flightListIntCabinCtrl',
			resolve: {
				load: ['$ocLazyLoad', function ($ocLazyLoad) {
					return $ocLazyLoad.load(["components/flight_list_int_cabin/flight_list_int_cabin.js", "components/flight_list_int_cabin/flight_list_int_cabin.css"]);
				}]
			}
		})
		//国际多服务商
		.state('tabs.flight_list_int_supplier', {
			url: '/flight_list_int_supplier',
			cache: false,
			templateUrl: 'components/flight_list_int_supplier/flight_list_int_supplier.html',
			controller: 'flightListIntSupplierCtrl',
			resolve: {
				load: ['$ocLazyLoad', function ($ocLazyLoad) {
					return $ocLazyLoad.load(["components/flight_list_int_supplier/flight_list_int_supplier.js", "components/flight_list_int_supplier/flight_list_int_supplier.css"]);
				}]
			}
		})
        //国际航班列表详情页
        .state('tabs.flight_list_int_detail', {
            url: '/flight_list_int_detail',
            cache: false,
            templateUrl: 'components/flight_list_int_detail/flight_list_int_detail.html',
            controller: 'flightListIntDetailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_list_int_detail/flight_list_int_detail.js", "components/flight_list_int_detail/flight_list_int_detail.css"]);
                }]
            }
        })
        //国际退改签页
        .state('tabs.refund_alter', {
            url: '/refund_alter',
            cache: false,
            templateUrl: 'components/refund_alter/refund_alter.html',
            controller: 'refundAlterCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/refund_alter/refund_alter.js", "components/refund_alter/refund_alter.css"]);
                }]
            }
        })
        //国际核对乘机人信息页
        .state('tabs.check_info_int', {
            url: '/check_info_int',
            cache: false,
            templateUrl: 'components/check_info_int/check_info_int.html',
            controller: 'checkInfoIntCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/check_info_int/check_info_int.js", "components/check_info_int/check_info_int.css"]);
                }]
            }
        })
        // 国内航班列表 返程
        .state('tabs.flight_list_rt', {
            url: '/flight_list_rt',
            /*cache: false,*/
            templateUrl: 'components/flight_list/flight_list.html',
            controller: 'flightListCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_list/flight_list.js", "components/flight_list/flight_list.css"]);
                }]
            }
        })

        // 推荐航班
        .state('tabs.flight_lowest', {
            url: '/flight_lowest',
            cache: false,
            templateUrl: 'components/flight_lowest/flight_lowest.html',
            controller: 'flightLowestCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_lowest/flight_lowest.js", "components/flight_lowest/flight_lowest.css"]);
                }]
            }
        })

        // 推荐航班 返程使用
        .state('tabs.flight_lowest_rt', {
            url: '/flight_lowest_rt',
            cache: false,
            templateUrl: 'components/flight_lowest/flight_lowest.html',
            controller: 'flightLowestCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_lowest/flight_lowest.js", "components/flight_lowest/flight_lowest.css"]);
                }]
            }
        })
        // 多服务商推荐航班
        .state('tabs.flight_lowest_supplier', {
            url: '/flight_lowest_supplier',
            cache: false,
            templateUrl: 'components/flight_lowest_supplier/flight_lowest_supplier.html',
            controller: 'flightLowestSupplierCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_lowest_supplier/flight_lowest_supplier.js", "components/flight_lowest_supplier/flight_lowest_supplier.css"]);
                }]
            }
        })

        // 多服务商推荐航班 返程使用
        .state('tabs.flight_lowest_supplier_rt', {
            url: '/flight_lowest_supplier_rt',
            cache: false,
            templateUrl: 'components/flight_lowest_supplier/flight_lowest_supplier.html',
            controller: 'flightLowestSupplierCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_lowest_supplier/flight_lowest_supplier.js", "components/flight_lowest_supplier/flight_lowest_supplier.css"]);
                }]
            }
        })

        // 核对订单
        .state('tabs.check_order', {
            url: '/check_order',
            cache: false,
            templateUrl: 'components/check_order/check_order.html',
            controller: 'checkOrderCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/check_order/check_order.js", "components/check_order/check_order.css"]);
                }]
            }
        })

        // 违背政策原因
        .state('tabs.policy_reason', {
            url: '/policy_reason',
            cache: false,
            templateUrl: 'components/policy_reason/policy_reason.html',
            controller: 'policyReasonCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/policy_reason/policy_reason.js", "components/policy_reason/policy_reason.css"]);
                }]
            }
        })

        // 选择保险
        .state('tabs.choose_insurance', {
            url: '/choose_insurance',
            cache: false,
            templateUrl: 'components/choose_insurance/choose_insurance.html',
            controller: 'chooseInsuranceCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/choose_insurance/choose_insurance.js", "components/choose_insurance/choose_insurance.css"]);
                }]
            }
        })
        // 订单保险详情
        .state('tabs.insurance_detail', {
            url: '/insurance_detail',
            cache: false,
            templateUrl: 'components/insurance_detail/insurance_detail.html',
            controller: 'insuranceDetailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/insurance_detail/insurance_detail.js", "components/insurance_detail/insurance_detail.css"]);
                }]
            }
        })
        // 选择保险
        .state('tabs.choose_fast_track', {
          url: '/choose_fast_track',
          cache: false,
          templateUrl: 'components/choose_fast_track/choose_fast_track.html',
          controller: 'chooseFastTrackCtrl',
          resolve: {
              load: ['$ocLazyLoad', function ($ocLazyLoad) {
                  return $ocLazyLoad.load(["components/choose_fast_track/choose_fast_track.js", "components/choose_fast_track/choose_fast_track.css"]);
              }]
          }
        })
        // 预订附加信息
        .state('tabs.additional_data', {
            url: '/additional_data',
            cache: false,
            templateUrl: 'components/additional_data/additional_data.html',
            controller: 'additionalDataCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/additional_data/additional_data.js", "components/additional_data/additional_data.css"]);
                }]
            }
        })

        //选择城市
        .state('tabs.delivery_city', {
            url: "/delivery_city",
			cache: false,
            controller: 'deliveryCityCtrl',
            templateUrl: "components/delivery_city/delivery_city.html",
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/delivery_city/delivery_city.js", "components/delivery_city/delivery_city.css"]);//加载所需文件
                }]
            }
        })

        //配送地址
        .state('tabs.delivery_addr', {
            url: '/delivery_addr',
            cache: false,
            templateUrl: 'components/delivery_addr/delivery_addr.html',
            controller: 'deliveryAddrCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/delivery_addr/delivery_addr.js", "components/delivery_addr/delivery_addr.css"]);
                }]
            }
        })

        // 审批附加数据
        .state('tabs.approval_data', {
            url: '/approval_data',
            cache: false,
            templateUrl: 'components/approval_data/approval_data.html',
            controller: 'approvalDataCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/approval_data/approval_data.js", "components/approval_data/approval_data.css"]);
                }]
            }
        })
        // 提交附加数据
        .state('tabs.ticket_data', {
            url: '/ticket_data',
            cache: false,
            templateUrl: 'components/ticket_data/ticket_data.html',
            controller: 'ticketDataCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/ticket_data/ticket_data.js", "components/ticket_data/ticket_data.css"]);
                }]
            }
        })

        // bcd预订附加数据
        .state('tabs.bcd_remark', {
            url: '/bcd_remark',
            cache: false,
            templateUrl: 'components/bcd_remark/bcd_remark.html',
            controller: 'bcdRemarkCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/bcd_remark/bcd_remark.js", "components/bcd_remark/bcd_remark.css"]);
                }]
            }
        })

        // bcd提交审核
        .state('tabs.bcdApproval', {
            url: '/bcdApproval',
            cache: false,
            templateUrl: 'components/bcdApproval/bcdApproval.html',
            controller: 'bcdApprovalCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/bcdApproval/bcdApproval.js", "components/bcdApproval/bcdApproval.css"]);
                }]
            }
        })

        // bcd_input
        .state('tabs.bcd_input', {
            url: '/bcd_input',
            cache: false,
            templateUrl: 'components/bcd_input/bcd_input.html',
            controller: 'bcdInputCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/bcd_input/bcd_input.js", "components/bcd_input/bcd_input.css"]);
                }]
            }
        })

        // bcd_select
        .state('tabs.bcd_select', {
            url: '/bcd_select',
            cache: false,
            templateUrl: 'components/bcd_select/bcd_select.html',
            controller: 'bcdSelectCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/bcd_select/bcd_select.js", "components/bcd_select/bcd_select.css"]);
                }]
            }
        })
        // 审批人页面
        .state('tabs.find_apver', {
            url: '/find_apver',
            cache: false,
            templateUrl: 'components/find_apver/find_apver.html',
            controller: 'findApverCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/find_apver/find_apver.js", "components/find_apver/find_apver.css"]);
                }]
            }
        })
		//外部订单拆单选择子订单页面
		.state('tabs.order_split', {
			url: '/order_split',
			cache: false,
			templateUrl: 'components/order_split/order_split.html',
			controller: 'orderSplitCtrl',
			resolve: {
				load: ['$ocLazyLoad', function ($ocLazyLoad) {
					return $ocLazyLoad.load(["components/order_split/order_split.js", "components/order_split/order_split.css"]);
				}]
			}
		})
        // data_input
        .state('tabs.data_input', {
            url: '/data_input',
            cache: false,
            templateUrl: 'components/data_input/data_input.html',
            controller: 'dataInputCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/data_input/data_input.js", "components/data_input/data_input.css"]);
                }]
            }
        })
        // data_select
        .state('tabs.data_select', {
            url: '/data_select',
            cache: false,
            templateUrl: 'components/data_select/data_select.html',
            controller: 'dataSelectCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/data_select/data_select.js", "components/data_select/data_select.css"]);
                }]
            }
        })
        // data_select_search
        .state('tabs.data_select_search', {
            url: '/data_select_search',
            cache: false,
            templateUrl: 'components/data_select_search/data_select_search.html',
            controller: 'dataSelectSearchCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/data_select_search/data_select_search.js", "components/data_select_search/data_select_search.css"]);
                }]
            }
        })

        // data_select_find_search
       .state('tabs.data_select_find_search', {
              url: '/data_select_find_search',
              cache: false,
              templateUrl: 'components/data_select_find_search/data_select_find_search.html',
              controller: 'dataSelectFindSearchCtrl',
              resolve: {
              load: ['$ocLazyLoad', function ($ocLazyLoad) {
                     return $ocLazyLoad.load(["components/data_select_find_search/data_select_find_search.js", "components/data_select_find_search/data_select_find_search.css"]);
                     }]
              }
        })

        //我的行程
        .state('tabs.journey', {
            url: '/journey',
            cache: false,
            templateUrl: 'components/journey/journey.html',
            controller: 'journeyCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/journey/journey.js", "components/journey/journey.css"]);
                }]
            }
        })
        //关注列表
        .state('tabs.follow_list', {
            url: '/follow_list',
            cache: false,
            templateUrl: 'components/follow_list/follow_list.html',
            controller: 'followListCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/follow_list/follow_list.js", "components/follow_list/follow_list.css"]);
                }]
            }
        })
        // 乘机人详情
        .state('tabs.psg_info', {
            url: '/psg_info',
            cache: false,
            templateUrl: 'components/psg_info/psg_info.html',
            controller: 'psgInfoCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/psg_info/psg_info.js", "components/psg_info/psg_info.css"]);
                }]
            }
        })
        // 火车票乘客详情
        .state('tabs.train_psg_info', {
            url: '/train_psg_info',
            cache: false,
            templateUrl: 'components/train_psg_info/train_psg_info.html',
            controller: 'train_psg_infoCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/train_psg_info/train_psg_info.js", "components/train_psg_info/train_psg_info.css"]);
                }]
            }
        })

        // 退改签内容
        .state('tabs.flight_restrictions', {
            url: '/flight_restrictions',
            cache: false,
            templateUrl: 'components/flight_restrictions/flight_restrictions.html',
            controller: 'flightRestrictionsCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_restrictions/flight_restrictions.js", "components/flight_restrictions/flight_restrictions.css"]);
                }]
            }
        })
         //其它产品详情
        .state('tabs.other_product_list', {
            url: '/other_product_list',
            cache: false,
            templateUrl: 'components/other_product_list/other_product_list.html',
            controller: 'otherProductListCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/other_product_list/other_product_list.js", "components/other_product_list/other_product_list.css"]);
                }]
            }
        })
        //其它产品详情
        .state('tabs.other_product_detail', {
            url: '/other_product_detail',
            cache: false,
            templateUrl: 'components/other_product_detail/other_product_detail.html',
            controller: 'otherProductDetailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/other_product_detail/other_product_detail.js", "components/other_product_detail/other_product_detail.css"]);
                }]
            }
        })
        //其它产品城市控件(国内)
        .state('tabs.other_city_list', {
            url: '/other_city_list',
            cache: false,
            templateUrl: 'components/other_city_list/other_city_list.html',
            controller: 'otherCityCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/other_city_list/other_city_list.js", "components/other_city_list/other_city_list.css"]);
                }]
            }
        })
        //其它产品城市控件(国际)
        .state('tabs.other_int_city_list', {
            url: '/other_int_city_list',
            cache: false,
            templateUrl: 'components/other_int_city_list/other_int_city_list.html',
            controller: 'otherIntCityCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/other_int_city_list/other_int_city_list.js", "components/other_int_city_list/other_int_city_list.css"]);
                }]
            }
        })
        // 预订完了
        .state('tabs.book_order', {
            url: '/book_order',
            cache: false,
            templateUrl: 'components/book_order/book_order.html',
            controller: 'bookOrderCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/book_order/book_order.js", "components/book_order/book_order.css"]);
                }]
            }
        })

        // 预订完了
        .state('tabs.book_order_int', {
            url: '/book_order_int',
            cache: false,
            templateUrl: 'components/book_order_int/book_order_int.html',
            controller: 'bookOrderIntCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/book_order_int/book_order_int.js", "components/book_order_int/book_order_int.css"]);
                }]
            }
        })
        // 修改成本中心
        .state('tabs.cost_center', {
            url: '/cost_center',
            cache: false,
            templateUrl: 'components/cost_center/cost_center.html',
            controller: 'costCenterCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/cost_center/cost_center.js", "components/cost_center/cost_center.css"]);
                }]
            }
        })
        //选择成本中心
        .state('tabs.cost_center_only', {
            url: '/cost_center_only',
            cache: false,
            templateUrl: 'components/cost_center_only/cost_center_only.html',
            controller: 'costCenterOnlyCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/cost_center_only/cost_center_only.js", "components/cost_center_only/cost_center_only.css"]);
                }]
            }
        })

        // 值机列表
        .state('tabs.select_trip', {
            url: '/select_trip',
            cache: false,
            templateUrl: 'components/select_trip/select_trip.html',
            controller: 'selectTripCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/select_trip/select_trip.js", "components/select_trip/select_trip.css"]);
                }]
            }
        })

        // 值机 航空公司列表
        .state('tabs.check_in_airlist', {
            url: '/check_in_airlist',
            cache: false,
            templateUrl: 'components/check_in_airlist/check_in_airlist.html',
            controller: 'checkInAirlistCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/check_in_airlist/check_in_airlist.js", "components/check_in_airlist/check_in_airlist.css"]);
                }]
            }
        })

        // 值机说明
        .state('tabs.check_in_guide', {
            url: '/check_in_guide',
            cache: false,
            templateUrl: 'components/check_in_guide/check_in_guide.html',
            controller: 'checkInGuideCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/check_in_guide/check_in_guide.js", "components/check_in_guide/check_in_guide.css"]);
                }]
            }
        })
         //支付结果页面
        .state('tabs.pay_result', {
            url: '/pay_result',
            cache: false,
            templateUrl: 'components/pay_result/pay_result.html',
            controller: 'payResultCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/pay_result/pay_result.js", "components/pay_result/pay_result.css"]);
                }]
            }
        })

        // 消息中心
        .state('tabs.message_center', {
            url: '/message_center',
            cache: false,
            templateUrl: 'components/message_center/message_center.html',
            controller: 'messageCenterCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/message_center/message_center.js", "components/message_center/message_center.css"]);
                }]
            }
        })

        // 消息详情
        .state('tabs.message_detail', {
            url: '/message_detail',
            cache: false,
            templateUrl: 'components/message_detail/message_detail.html',
            controller: 'messageDetailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/message_detail/message_detail.js", "components/message_detail/message_detail.css"]);
                }]
            }
        })
        // 运输安全通知
        .state('tabs.safety_notice', {
            url: '/safety_notice',
            cache: false,
            templateUrl: 'components/safety_notice/safety_notice.html',
            controller: 'safetyNoticeCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/safety_notice/safety_notice.js", "components/safety_notice/safety_notice.css"]);
                }]
            }
        })
        // 关注我们
        .state('tabs.follow_us', {
            url: '/follow_us',
            cache: false,
            templateUrl: 'components/follow_us/follow_us.html',
            controller: 'followUsCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/follow_us/follow_us.js", "components/follow_us/follow_us.css"]);
                }]
            }
        })

        // 选座列表
        .state('tabs.select_flight', {
            url: '/select_flight',
            cache: false,
            templateUrl: 'components/select_flight/select_flight.html',
            controller: 'selectFlightCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/select_flight/select_flight.js", "components/select_flight/select_flight.css"]);
                }]
            }
        })

        // 座位预留
        .state('tabs.select_seat', {
            url: '/select_seat',
            cache: false,
            templateUrl: 'components/select_seat/select_seat.html',
            controller: 'selectSeatCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/select_seat/select_seat.js", "components/select_seat/select_seat.css"]);
                }]
            }
        })
        // 行李清单行程
        .state('tabs.packing_list', {
            url: '/packing_list',
            cache: false,
            templateUrl: 'components/packing_list/packing_list.html',
            controller: 'packingListCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/packing_list/packing_list.js", "components/packing_list/packing_list.css"]);
                }]
            }
        })
         // 行李清单列表
        .state('tabs.luggage_listing', {
            url: '/luggage_listing',
            cache: false,
            templateUrl: 'components/luggage_listing/luggage_listing.html',
            controller: 'luggageListingCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/luggage_listing/luggage_listing.js", "components/luggage_listing/luggage_listing.css"]);
                }]
            }
        })
		 // 行李库
        .state('tabs.stationery_warehouse', {
            url: '/stationery_warehouse',
            cache: false,
            templateUrl: 'components/stationery_warehouse/stationery_warehouse.html',
            controller: 'stationeryWarehouseCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/stationery_warehouse/stationery_warehouse.js", "components/stationery_warehouse/stationery_warehouse.css"]);
                }]
            }
        })
        // 客票验真
        .state('tabs.flight_airticket_true', {
            url: '/flight_airticket_true',
            cache: false,
            templateUrl: 'components/flight_airticket_true/flight_airticket_true.html',
            controller: 'flightAirticketTrueCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_airticket_true/flight_airticket_true.js", "components/flight_airticket_true/flight_airticket_true.css"]);
                }]
            }
        })
        // 客票验真详情页
        .state('tabs.flight_airticket_detial', {
            url: '/flight_airticket_detial',
            cache: false,
            templateUrl: 'components/flight_airticket_detial/flight_airticket_detial.html',
            controller: 'flightAirTicketDetialCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/flight_airticket_detial/flight_airticket_detial.js", "components/flight_airticket_detial/flight_airticket_detial.css"]);
                }]
            }
        })
        // 行程天气预报
        .state('tabs.journey_weather', {
            url: '/journey_weather',
            cache: false,
            templateUrl: 'components/journey_weather/journey_weather.html',
            controller: 'journeyWeatherCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/journey_weather/journey_weather.js", "components/journey_weather/journey_weather.css"]);
                }]
            }
        })
        // 外部订单
        .state('tabs.external_order_list', {
            url: '/external_order_list',
            cache: false,
            templateUrl: 'components/external_order_list/external_order_list.html',
            controller: 'externalOrderListCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/external_order_list/external_order_list.js", "components/external_order_list/external_order_list.css"]);
                }]
            }
        })

        // 租车服务
        .state('tabs.taxi_service', {
            url: '/taxi_service',
            cache: false,
            templateUrl: 'components/taxi_service/taxi_service.html',
            controller: 'taxiServiceCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/taxi_service/taxi_service.js", "components/taxi_service/taxi_service.css"]);
                }]
            }
        })

        // 出行类别
        .state('tabs.taxi_travelType', {
            url: '/taxi_travelType',
            cache: false,
            templateUrl: 'components/taxi_travelType/taxi_travelType.html',
            controller: 'taxiTravelTypeCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/taxi_travelType/taxi_travelType.js", "components/taxi_travelType/taxi_travelType.css"]);
                }]
            }
        })

        //  叫车/租车下单页面
        .state('tabs.taxi_call_order', {
            url: '/taxi_call_order',
            cache: false,
            templateUrl: 'components/taxi_call_order/taxi_call_order.html',
            controller: 'taxiCallOrderCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/taxi_call_order/taxi_call_order.js", "components/taxi_call_order/taxi_call_order.css"]);
                }]
            }
        })

        //  租车服务-选择乘车人
        .state('tabs.taxi_find_user', {
            url: '/taxi_find_user',
            cache: false,
            templateUrl: 'components/taxi_find_user/taxi_find_user.html',
            controller: 'taxiFindUserCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/taxi_find_user/taxi_find_user.js", "components/taxi_find_user/taxi_find_user.css"]);
                }]
            }
        })

        /*专车*/
        // 神州专车-选择上车地点
        .state('tabs.taxi_address', {
            url: '/taxi_address',
            cache: false,
            templateUrl: 'components/taxi_address/taxi_address.html',
            controller: 'taxiAddressCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/taxi_address/taxi_address.js", "components/taxi_address/taxi_address.css"]);
                }]
            }
        })

        //专车-神州专车城市
        .state('tabs.taxi_flt_city', {
            url: '/taxi_flt_city',
            cache: false,
            templateUrl: 'components/taxi_flt_city/taxi_flt_city.html',
            controller: 'taxiFltCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/taxi_flt_city/taxi_flt_city.js", "components/taxi_flt_city/taxi_flt_city.css"]);
                }]
            }
        })

        //专车-神州专车选择航班号
        .state('tabs.taxi_flight_info', {
            url: '/taxi_flight_info',
            cache: false,
            templateUrl: 'components/taxi_flight_info/taxi_flight_info.html',
            controller: 'taxiFlightInfoCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/taxi_flight_info/taxi_flight_info.js", "components/taxi_flight_info/taxi_flight_info.css"]);
                }]
            }
        })

        //专车-神州专车产品价格
        .state('tabs.taxi_price', {
            url: '/taxi_price',
            cache: false,
            templateUrl: 'components/taxi_price/taxi_price.html',
            controller: 'taxiPriceCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/taxi_price/taxi_price.js", "components/taxi_price/taxi_price.css"]);
                }]
            }
        })

        //专车-神州专车派单状态
        .state('tabs.taxi_order_status', {
            url: '/taxi_order_status',
            cache: false,
            templateUrl: 'components/taxi_order_status/taxi_order_status.html',
            controller: 'taxiOrderStatusCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/taxi_order_status/taxi_order_status.js", "components/taxi_order_status/taxi_order_status.css"]);
                }]
            }
        })

        //专车-神州专车取消订单
        .state('tabs.taxi_cancel_reason', {
            url: '/taxi_cancel_reason',
            cache: false,
            templateUrl: 'components/taxi_cancel_reason/taxi_cancel_reason.html',
            controller: 'taxiCancelReasonCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/taxi_cancel_reason/taxi_cancel_reason.js", "components/taxi_cancel_reason/taxi_cancel_reason.css"]);
                }]
            }
        })

        //专车-神州专车订单详情
        .state('tabs.taxi_szorder_detail', {
            url: '/taxi_szorder_detail',
            cache: false,
            templateUrl: 'components/taxi_szorder_detail/taxi_szorder_detail.html',
            controller: 'taxiSzorderDetailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/taxi_szorder_detail/taxi_szorder_detail.js", "components/taxi_szorder_detail/taxi_szorder_detail.css"]);
                }]
            }
        })

        //专车-价格详情页
        .state('tabs.taxi_priceDetail', {
            url: '/taxi_priceDetail',
            cache: false,
            templateUrl: 'components/taxi_priceDetail/taxi_priceDetail.html',
            controller: 'taxiPriceDetailCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/taxi_priceDetail/taxi_priceDetail.js", "components/taxi_priceDetail/taxi_priceDetail.css"]);
                }]
            }
        })

        // 运通专车-租车服务
        .state('tabs.amex_taxi_service', {
            url: '/amex_taxi_service',
            cache: false,
            templateUrl: 'components/amex_taxi_service/amex_taxi_service.html',
            controller: 'amextaxiServiceCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/amex_taxi_service/amex_taxi_service.js", "components/amex_taxi_service/amex_taxi_service.css"]);
                }]
            }
        })

        // 运通专车-选择乘车人
        .state('tabs.amex_taxi_select_user', {
            url: '/amex_taxi_select_user',
            cache: false,
            templateUrl: 'components/amex_taxi_select_user/amex_taxi_select_user.html',
            controller: 'amexTaxiselectUserCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/amex_taxi_select_user/amex_taxi_select_user.js", "components/amex_taxi_select_user/amex_taxi_select_user.css"]);
                }]
            }
        })

        // 运通专车-添加临时乘车人
        .state('tabs.amex_taxi_temp_user', {
            url: '/amex_taxi_temp_user',
            cache: false,
            templateUrl: 'components/amex_taxi_temp_user/amex_taxi_temp_user.html',
            controller: 'amexTaxiTempUserCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/amex_taxi_temp_user/amex_taxi_temp_user.js", "components/amex_taxi_temp_user/amex_taxi_temp_user.css"]);
                }]
            }
        })

        // 运通专车-添加乘车人
        .state('tabs.amex_taxi_find_user', {
            url: '/amex_taxi_find_user',
            cache: false,
            templateUrl: 'components/amex_taxi_find_user/amex_taxi_find_user.html',
            controller: 'amexTaxiFindUserCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/amex_taxi_find_user/amex_taxi_find_user.js", "components/amex_taxi_find_user/amex_taxi_find_user.css"]);
                }]
            }
        })

        // 运通专车-叫车租车下单页面
        .state('tabs.amex_taxi_call_order', {
            url: '/amex_taxi_call_order',
            cache: false,
            templateUrl: 'components/amex_taxi_call_order/amex_taxi_call_order.html',
            controller: 'amexTaxiCallOrderCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/amex_taxi_call_order/amex_taxi_call_order.js", "components/amex_taxi_call_order/amex_taxi_call_order.css"]);
                }]
            }
        })

        // 运通专车-叫车租车查询页面
        .state('tabs.amex_first_taxi_callorder', {
            url: '/amex_first_taxi_callorder',
            cache: false,
            templateUrl: 'components/amex_first_taxi_callorder/amex_first_taxi_callorder.html',
            controller: 'amexFirstTaxiCallOrderCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/amex_first_taxi_callorder/amex_first_taxi_callorder.js", "components/amex_first_taxi_callorder/amex_first_taxi_callorder.css"]);
                }]
            }
        })

        //运通专车-选择航班号和起降地
        .state('tabs.amex_taxi_flight_info', {
            url: '/amex_taxi_flight_info',
            cache: false,
            templateUrl: 'components/amex_taxi_flight_info/amex_taxi_flight_info.html',
            controller: 'amexTaxiFlightInfoCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/amex_taxi_flight_info/amex_taxi_flight_info.js", "components/amex_taxi_flight_info/amex_taxi_flight_info.css"]);
                }]
            }
        })

        //运通专车-根据起降地查询航班信息
        .state('tabs.amexcar_flightlist', {
            url: '/amexcar_flightlist',
            cache: false,
            templateUrl: 'components/amexcar_flightlist/amexcar_flightlist.html',
            controller: 'amexcarFlightListCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/amexcar_flightlist/amexcar_flightlist.js", "components/amexcar_flightlist/amexcar_flightlist.css"]);
                }]
            }
        })

        // 运通专车-选择车型
        .state('tabs.amex_taxi_type', {
            url: '/amex_taxi_type',
            cache: false,
            templateUrl: 'components/amex_taxi_type/amex_taxi_type.html',
            controller: 'amexTaxiTypeCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/amex_taxi_type/amex_taxi_type.js", "components/amex_taxi_type/amex_taxi_type.css"]);
                }]
            }
        })

        // 运通专车-核对订单
        .state('tabs.amex_taxi_check_order', {
            url: '/amex_taxi_check_order',
            cache: false,
            templateUrl: 'components/amex_taxi_check_order/amex_taxi_check_order.html',
            controller: 'amexTaxicheckOrderCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/amex_taxi_check_order/amex_taxi_check_order.js", "components/amex_taxi_check_order/amex_taxi_check_order.css"]);
                }]
            }
        })

        // 运通专车-选择城市
        .state('tabs.amex_taxiflt_city', {
            url: '/amex_taxiflt_city',
            cache: false,
            templateUrl: 'components/amex_taxiflt_city/amex_taxiflt_city.html',
            controller: 'amexTaxiFltCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/amex_taxiflt_city/amex_taxiflt_city.js", "components/amex_taxiflt_city/amex_taxiflt_city.css"]);
                }]
            }
        })

        // 运通专车-租车须知
        .state('tabs.amexcar_tip', {
            url: '/amexcar_tip',
            cache: false,
            templateUrl: 'components/amexcar_tip/amexcar_tip.html',
            controller: 'amexcarTipCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/amexcar_tip/amexcar_tip.js", "components/amexcar_tip/amexcar_tip.css"]);
                }]
            }
        })
        //递送信息
        .state('tabs.deliverInformation',{
            url:'/deliverInformation',
            cache:false,
            templateUrl: 'components/deliver_information/deliver_information.html',
            controller: 'deliverInformationCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/deliver_information/deliver_information.js", "components/deliver_information/deliver_information.css"]);
                }]
            }
        })
        //显示所有乘机人的递送信息
        .state('tabs.deliverInvoiceInfoList',{
            url:'/deliverInvoiceInfoList',
            cache:false,
            templateUrl: 'components/deliver_invoice_infolist/deliver_invoice_infolist.html',
            controller: 'deliverInvoiceInfoListCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/deliver_invoice_infolist/deliver_invoice_infolist.js", "components/deliver_invoice_infolist/deliver_invoice_infolist.css"]);
                }]
            }
        })
        //选择递送信息接收人
        .state('tabs.deliverRecipient',{
            url:'/deliverRecipient',
            cache:false,
            templateUrl: 'components/deliver_recipient/deliver_recipient.html',
            controller: 'deliverRecipentCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/deliver_recipient/deliver_recipient.js", "components/deliver_recipient/deliver_recipient.css"]);
                }]
            }
        })
        //选择发票抬头
        .state('tabs.selectInvoice',{
            url:'/selectInvoice',
            cache:false,
            templateUrl: 'components/select_invoice/select_invoice.html',
            controller: 'selectInvoiceCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/select_invoice/select_invoice.js", "components/select_invoice/select_invoice.css"]);
                }]
            }
        })
        //行程单递送地址列表
        .state('tabs.deliverItineraryInfoList',{
            url:'/deliverItineraryInfoList',
            cache:false,
            templateUrl: 'components/deliver_itinerary_infolist/deliver_itinerary_infolist.html',
            controller: 'deliverItineraryInfoListCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/deliver_itinerary_infolist/deliver_itinerary_infolist.js", "components/deliver_itinerary_infolist/deliver_itinerary_infolist.css"]);
                }]
            }
        })
        //添加新推送地址
        .state('tabs.addNewAddress',{
            url:'/addNewAddress',
            cache:false,
            templateUrl: 'components/add_new_address/add_new_address.html',
            controller: 'addNewAddressCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/add_new_address/add_new_address.js", "components/add_new_address/add_new_address.css"]);
                }]
            }
        })
        //新加的递送信息附加项
        .state('tabs.deliver_data',{
            url:'/deliver_data',
            cache:false,
            templateUrl: 'components/deliver_data/deliver_data.html',
            controller: 'deliverDataCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                    return $ocLazyLoad.load(["components/deliver_data/deliver_data.js", "components/deliver_data/deliver_data.css"]);
                }]
            }
        })
        /*
        * 【version 3.9.3】Modify by 向强 start
        * 【需求】https://gdsjira.travelsky.com/browse/COZYGO-7220
        */
        // 选择供应商页面
        .state('tabs.select_supplier', {
            url: '/select_supplier',
            cache: false,
            templateUrl: 'components/select_supplier/select_supplier.html',
            controller: 'selectSupplierCtrl',
            resolve: {
                load: ['$ocLazyLoad', function ($ocLazyLoad) {
                return $ocLazyLoad.load(["components/select_supplier/select_supplier.js", "components/select_supplier/select_supplier.css"]);
                }]
            }
        })
        /*
        * 【version 3.9.3】Modify by 向强 end
        * */
       /*
        * 【version 3.9.4】Modify by 向强 start
        * 【需求】https://gdsjira.travelsky.com/browse/COZYGO-7589
        */
        // 编辑信用卡担保页面
        .state('tabs.hotel_edit_credit_card', {
          url: '/hotel_edit_credit_card',
          cache: false,
          templateUrl: 'components/hotel_edit_credit_card/hotel_edit_credit_card.html',
          controller: 'editCreditcardCtrl',
          resolve: {
              load: ['$ocLazyLoad', function ($ocLazyLoad) {
              return $ocLazyLoad.load(["components/hotel_edit_credit_card/hotel_edit_credit_card.js", "components/hotel_edit_credit_card/hotel_edit_credit_card.css"]);
              }]
          }
        })
        .state('tabs.hotel_select_credit_card', {
          url: '/hotel_select_credit_card',
          cache: false,
          templateUrl: 'components/hotel_select_credit_card/hotel_select_credit_card.html',
          controller: 'hotelSelectCreditcardCtrl',
          resolve: {
              load: ['$ocLazyLoad', function ($ocLazyLoad) {
              return $ocLazyLoad.load(["components/hotel_select_credit_card/hotel_select_credit_card.js", "components/hotel_select_credit_card/hotel_select_credit_card.css"]);
              }]
          }
        })
        /*
        * 【version 3.9.4】Modify by 向强 end
        * */
         /*
    * 【version 3.9.5】Modify by 向强 start
    * 【需求】 https://gdsconf.travelsky.com/pages/viewpage.action?pageId=24397460
    */
    // 选择酒店会员卡
    .state('tabs.hotel_membership_card', {
      url: '/hotel_membership_card',
      cache: false,
      templateUrl: 'components/hotel_membership_card/hotel_membership_card.html',
      controller: 'hotelMembershipCardCtrl',
      resolve: {
        load: ['$ocLazyLoad', function ($ocLazyLoad) {
          return $ocLazyLoad.load(["components/hotel_membership_card/hotel_membership_card.js", "components/hotel_membership_card/hotel_membership_card.css"]);
        }]
      }
    })
    // 编辑或新增酒店会员卡
    .state('tabs.hotel_edit_tripcard', {
      url: '/hotel_edit_tripcard',
      cache: false,
      templateUrl: 'components/hotel_edit_tripcard/hotel_edit_tripcard.html',
      controller: 'hotelEditTripCardCtrl',
      resolve: {
        load: ['$ocLazyLoad', function ($ocLazyLoad) {
          return $ocLazyLoad.load(["components/hotel_edit_tripcard/hotel_edit_tripcard.js", "components/hotel_edit_tripcard/hotel_edit_tripcard.css"]);
        }]
    }
    })
    /*
    * 【version 3.9.5】Modify by 向强 end
    * */

    // start【version 3.9.10】 厦航、吉祥航空乘机提醒页  by lisa
    .state('tabs.safety_remind', {
        url: '/safety_remind',
        cache: false,
        templateUrl: 'components/safety_remind/safety_remind.html',
        controller: 'safetyRemindCtrl',
        resolve: {
            load: ['$ocLazyLoad', function ($ocLazyLoad) {
                return $ocLazyLoad.load(["components/safety_remind/safety_remind.js", "components/safety_remind/safety_remind.css"]);
            }]
        }
    })
    // end 【version 3.9.10】厦航、吉祥航空乘机提醒页  by lisa
    .state('tabs.air_train_policy_reason', {
      url: '/air_train_policy_reason',
      cache: false,
      templateUrl: 'components/air_train_policy_reason/air_train_policy_reason.html',
      controller: 'airTrainPolicyReasonCtrl',
      resolve: {
          load: ['$ocLazyLoad', function ($ocLazyLoad) {
              return $ocLazyLoad.load(["components/air_train_policy_reason/air_train_policy_reason.js", "components/air_train_policy_reason/air_train_policy_reason.css"]);
          }]
      }
    })
    // 隐私政策条款
    .state('tabs.exemption', {
      url: '/exemption',
      cache: false,
      templateUrl: 'components/exemption/exemption.html',
      controller: 'exemptionCtrl',
      resolve: {
        load: ['$ocLazyLoad', function ($ocLazyLoad) {
            return $ocLazyLoad.load(["components/exemption/exemption.js", "components/exemption/exemption.css"]);
        }]
      }
    })
    /**
     * start 【v 3.9.21 】 改签详情页  by lisa
     * 需求：https://gdsconf.travelsky.com/pages/viewpage.action?pageId=24547476
     */
    .state('tabs.rebook_detail', {
      url: '/rebook_detail',
      cache: false,
      templateUrl: 'components/rebook_detail/rebook_detail.html',
      controller: 'rebookDetailCtrl',
      resolve: {
        load: ['$ocLazyLoad', function ($ocLazyLoad) {
          return $ocLazyLoad.load(["components/rebook_detail/rebook_detail.js", "components/rebook_detail/rebook_detail.css"]);
        }]
      }
    })
    // end 【v 3.9.21 】改签详情页  by lisa
    /**
     * 电子发票需求
     */
    // 发票列表页
    .state('tabs.invoice_list', {
        url: '/invoice_list',
        cache: false,
        templateUrl: 'components/invoice_list/invoice_list.html',
        controller: 'invoiceListCtrl',
        resolve: {
          load: ['$ocLazyLoad', function ($ocLazyLoad) {
            return $ocLazyLoad.load(["components/invoice_list/invoice_list.js", "components/invoice_list/invoice_list.css"]);
          }]
        }
      })
    //   申请发票页
      .state('tabs.invoice_apply', {
        url: '/invoice_apply',
        cache: false,
        templateUrl: 'components/invoice_apply/invoice_apply.html',
        controller: 'invoiceApplyCtrl',
        resolve: {
          load: ['$ocLazyLoad', function ($ocLazyLoad) {
            return $ocLazyLoad.load(["components/invoice_apply/invoice_apply.js", "components/invoice_apply/invoice_apply.css"]);
          }]
        }
      })
    // 火车自购-我的12306
    .state('tabs.train_mine', {
        url: '/train_mine',
        cache: false,
        templateUrl: 'components/train_mine/train_mine.html',
        controller: 'trainMineCtrl',
        resolve: {
          load: ['$ocLazyLoad', function ($ocLazyLoad) {
            return $ocLazyLoad.load(["components/train_mine/train_mine.js", "components/train_mine/train_mine.css"]);
          }]
        }
    })
    // 火车自购-我的12306预定页
    .state('tabs.train_account', {
        url: '/train_account',
        cache: false,
        templateUrl: 'components/train_account/train_account.html',
        controller: 'trainAccountCtrl',
        resolve: {
          load: ['$ocLazyLoad', function ($ocLazyLoad) {
            return $ocLazyLoad.load(["components/train_account/train_account.js", "components/train_account/train_account.css"]);
          }]
        }
    })
    // 火车自购-账户授权协议页
    .state('tabs.train_agreement', {
        url: '/train_agreement',
        cache: false,
        templateUrl: 'components/train_agreement/train_agreement.html',
        controller: 'trainAgreementCtrl',
        resolve: {
          load: ['$ocLazyLoad', function ($ocLazyLoad) {
            return $ocLazyLoad.load(["components/train_agreement/train_agreement.js", "components/train_agreement/train_agreement.css"]);
          }]
        }
    })
    // 火车自购-短信验证页
    .state('tabs.train_verify', {
        url: '/train_verify',
        cache: false,
        templateUrl: 'components/train_verify/train_verify.html',
        controller: 'trainVerifyCtrl',
        resolve: {
          load: ['$ocLazyLoad', function ($ocLazyLoad) {
            return $ocLazyLoad.load(["components/train_verify/train_verify.js", "components/train_verify/train_verify.css"]);
          }]
        }
    })
    .state('tabs.taxi_type_select', {
      url: '/taxi_type_select',
      cache: false,
      templateUrl: 'components/taxi_type_select/taxi_type_select.html',
      controller: 'taxiTypeSelectCtrl',
      resolve: {
        load: ['$ocLazyLoad', function ($ocLazyLoad) {
          return $ocLazyLoad.load(["components/taxi_type_select/taxi_type_select.js", "components/taxi_type_select/taxi_type_select.css"]);
        }]
      }
    })
    .state('tabs.taxi_restrictions', {
      url: '/taxi_restrictions',
      cache: false,
      templateUrl: 'components/taxi_restrictions/taxi_restrictions.html',
      controller: 'taxiRestrictionsCtrl',
      resolve: {
        load: ['$ocLazyLoad', function ($ocLazyLoad) {
          return $ocLazyLoad.load(["components/taxi_restrictions/taxi_restrictions.js", "components/taxi_restrictions/taxi_restrictions.css"]);
        }]
      }
    })
    // 通用租车核对订单页面
    .state('tabs.taxi_check_order', {
        url: '/taxi_check_order',
        cache: false,
        templateUrl: 'components/taxi_check_order/taxi_check_order.html',
        controller: 'taxicheckOrderCtrl',
        resolve: {
            load: ['$ocLazyLoad', function ($ocLazyLoad) {
                return $ocLazyLoad.load(["components/taxi_check_order/taxi_check_order.js", "components/taxi_check_order/taxi_check_order.css"]);
            }]
        }
    })
    // 核对订单页面的出差单列表页
    .state('tabs.travel_order_list', {
        url: '/travel_order_list',
        cache: false,
        templateUrl: 'components/travel_order_list/travel_order_list.html',
        controller: 'travelOrderCtrl',
        resolve: {
            load: ['$ocLazyLoad', function ($ocLazyLoad) {
                return $ocLazyLoad.load(["components/travel_order_list/travel_order_list.js", "components/travel_order_list/travel_order_list.css"]);
            }]
        }
    })
    // 订单详情 用车发表页面
    .state('tabs.order_invoice', {
        url: '/order_invoice',
        cache: false,
        templateUrl: 'components/order_invoice/order_invoice.html',
        controller: 'orderInvoiceCtrl',
        resolve: {
            load: ['$ocLazyLoad', function ($ocLazyLoad) {
                return $ocLazyLoad.load(["components/order_invoice/order_invoice.js", "components/order_invoice/order_invoice.css"]);
            }]
        }
    })
    $urlRouterProvider.otherwise("/tab");
});
